### Navigation

- index
- CMake »
- 3.4.3 Documentation »

# Index

Symbols | A | B | C | D | E | F | G | H | I | J | K | L | M | N | O | P | Q | R | S | T | U | V | W | X

## Symbols

<CONFIG>_OUTPUT_NAME
  target property
<CONFIG>_POSTFIX
  target property, [1]
<LANG>_COMPILER_LAUNCHER
  target property, [1], [2]
<LANG>_INCLUDE_WHAT_YOU_USE
  target property, [1], [2]
<LANG>_VISIBILITY_PRESET
  target property, [1], [2], [3], [4], [5], [6], [7]
<PROJECT-NAME>_BINARY_DIR
  variable, [1]

<PROJECT-NAME>_SOURCE_DIR
  variable, [1]
<PROJECT-NAME>_VERSION
  variable, [1], [2], [3], [4], [5]
<PROJECT-NAME>_VERSION_MAJOR
  variable, [1], [2]
<PROJECT-NAME>_VERSION_MINOR
  variable, [1], [2]
<PROJECT-NAME>_VERSION_PATCH
  variable, [1], [2]
<PROJECT-NAME>_VERSION_TWEAK
  variable, [1], [2]

## A

ABSTRACT
  source file property
add_compile_options
  command, [1], [2], [3]
add_custom_command
  command, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21]
add_custom_target
  command, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13]
add_definitions
  command, [1], [2], [3], [4], [5], [6], [7], [8], [9]
add_dependencies
  command, [1], [2], [3], [4], [5], [6], [7], [8], [9]
add_executable
  command, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24], [25], [26], [27], [28]
add_library
  command, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24], [25], [26], [27], [28], [29], [30], [31], [32]
add_subdirectory
  command, [1], [2], [3], [4], [5], [6]
add_test
  command, [1], [2], [3], [4], [5], [6], [7], [8], [9]
AddFileDependencies
  module
ADDITIONAL_MAKE_CLEAN_FILES
  directory property, [1]
ADVANCED
  cache property
ALIASED_TARGET
  target property, [1]
ALLOW_DUPLICATE_CUSTOM_TARGETS
  global property
ANDROID_ANT_ADDITIONAL_OPTIONS
  target property, [1], [2], [3]
ANDROID_API
  target property, [1], [2]
ANDROID_API_MIN
  target property, [1], [2], [3]
ANDROID_ARCH
  target property, [1], [2], [3]
ANDROID_ASSETS_DIRECTORIES
  target property, [1], [2], [3]
ANDROID_GUI
  target property, [1], [2]
ANDROID_JAR_DEPENDENCIES
  target property, [1], [2], [3]
ANDROID_JAR_DIRECTORIES
  target property, [1], [2], [3]
ANDROID_JAVA_SOURCE_DIR
  target property, [1], [2], [3]
ANDROID_NATIVE_LIB_DEPENDENCIES
  target property, [1], [2], [3]

ANDROID_NATIVE_LIB_DIRECTORIES
  target property, [1], [2], [3]
ANDROID_PROCESS_MAX
  target property, [1], [2], [3]
ANDROID_PROGUARD
  target property, [1], [2], [3]
ANDROID_PROGUARD_CONFIG_PATH
  target property, [1], [2], [3]
ANDROID_SECURE_PROPS_PATH
  target property, [1], [2], [3]
ANDROID_SKIP_ANT_STEP
  target property, [1], [2], [3]
ANDROID_STL_TYPE
  target property, [1], [2], [3]
APPLE
  variable, [1]
ARCHIVE_OUTPUT_DIRECTORY
  target property, [1], [2], [3], [4], [5], [6]
ARCHIVE_OUTPUT_DIRECTORY_<CONFIG>
  target property, [1], [2]
ARCHIVE_OUTPUT_NAME
  target property, [1], [2], [3]
ARCHIVE_OUTPUT_NAME_<CONFIG>
  target property, [1], [2]
ATTACHED_FILES
  test property
ATTACHED_FILES_ON_FAIL
  test property
AUTOGEN_TARGET_DEPENDS
  target property, [1]
AUTOGEN_TARGETS_FOLDER
  global property, [1], [2], [3], [4]
AUTOMOC
  target property, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12]
AUTOMOC_MOC_OPTIONS
  target property, [1], [2], [3]
AUTOMOC_TARGETS_FOLDER
  global property
AUTORCC
  target property, [1], [2], [3], [4], [5], [6], [7]
AUTORCC_OPTIONS
  source file property, [1], [2], [3]
  target property, [1], [2], [3], [4]
AUTOUIC
  target property, [1], [2], [3], [4], [5], [6], [7], [8]
AUTOUIC_OPTIONS
  source file property, [1], [2], [3]
  target property, [1], [2], [3], [4], [5], [6], [7]
aux_source_directory
  command

## B

BINARY_DIR
  target property, [1]
BORLAND
  variable
Borland Makefiles
  generator
break
  command, [1], [2], [3], [4], [5], [6]
build_command
  command, [1], [2], [3], [4]
build_name
  command, [1], [2]

BUILD_SHARED_LIBS
  variable, [1], [2]
BUILD_WITH_INSTALL_RPATH
  target property
BUNDLE
  target property, [1]
BUNDLE_EXTENSION
  target property
BundleUtilities
  module, [1]

## C

C_EXTENSIONS
  target property, [1], [2], [3]
C_STANDARD
  target property, [1], [2], [3], [4], [5], [6], [7]
C_STANDARD_REQUIRED
  target property, [1], [2], [3]
cache property
  ADVANCED
  HELPSTRING
  MODIFIED
  STRINGS, [1], [2]
  TYPE
  VALUE
CACHE_VARIABLES
  directory property
ccmake(1)
  manual, [1], [2], [3], [4], [5]
cdash_coverage_collect_gcov
  command
CHECK_INCLUDE_FILE
  command
CHECK_INCLUDE_FILE_CXX
  command
CHECK_INCLUDE_FILES
  command
CheckCCompilerFlag
  module, [1]
CheckCSourceCompiles
  module
CheckCSourceRuns
  module
CheckCXXCompilerFlag
  module, [1]
CheckCXXSourceCompiles
  module, [1]
CheckCXXSourceRuns
  module
CheckCXXSymbolExists
  module, [1]
CheckFortranCompilerFlag
  module, [1]
CheckFortranFunctionExists
  module
CheckFortranSourceCompiles
  module, [1]
CheckFunctionExists
  module, [1]
CheckIncludeFile
  module, [1], [2], [3]
CheckIncludeFileCXX
  module, [1], [2]
CheckIncludeFiles
  module, [1], [2]
CheckLanguage
  module
CheckLibraryExists
  module, [1]
CheckPrototypeDefinition
  module
CheckStructHasMember
  module, [1]
CheckSymbolExists
  module, [1]
CheckTypeSize
  module, [1]
CheckVariableExists
  module
CLEAN_NO_CUSTOM
  directory property
cmake(1)
  manual, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24], [25], [26], [27], [28], [29], [30], [31], [32], [33], [34], [35], [36], [37], [38], [39], [40], [41], [42], [43], [44], [45], [46], [47], [48], [49], [50]
cmake-buildsystem(7)
  manual, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24], [25], [26], [27], [28], [29], [30], [31], [32]
cmake-commands(7)
  manual, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11]
cmake-compile-features(7)
  manual, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24], [25]
cmake-developer(7)
  manual, [1], [2], [3]
cmake-generator-expressions(7)
  manual, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24], [25], [26], [27], [28], [29], [30], [31], [32], [33], [34], [35], [36], [37], [38], [39], [40], [41], [42], [43], [44], [45], [46], [47], [48], [49], [50], [51], [52], [53], [54], [55], [56], [57], [58], [59], [60], [61], [62], [63], [64], [65], [66], [67], [68], [69], [70], [71], [72], [73], [74], [75], [76], [77], [78], [79], [80], [81], [82], [83], [84], [85], [86], [87], [88], [89], [90], [91]
cmake-generators(7)
  manual, [1], [2], [3], [4], [5], [6]
cmake-gui(1)
  manual, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15]
cmake-language(7)
  manual, [1], [2], [3], [4], [5], [6], [7]
cmake-modules(7)
  manual, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14]
cmake-packages(7)
  manual, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14]
cmake-policies(7)
  manual, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24], [25], [26], [27], [28], [29], [30], [31], [32], [33], [34], [35], [36], [37], [38], [39], [40], [41], [42], [43], [44], [45], [46], [47], [48], [49], [50], [51], [52], [53], [54], [55], [56], [57], [58], [59], [60], [61], [62], [63], [64], [65], [66], [67], [68], [69], [70], [71], [72], [73], [74], [75], [76], [77], [78], [79], [80]
cmake-properties(7)
  manual, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14]
cmake-qt(7)
  manual, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10]
cmake-toolchains(7)
  manual, [1]
cmake-variables(7)
  manual, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13]
CMAKE_<CONFIG>_POSTFIX
  variable, [1], [2]
CMAKE_<LANG>_ARCHIVE_APPEND
  variable, [1], [2]
CMAKE_<LANG>_ARCHIVE_CREATE
  variable, [1], [2]
CMAKE_<LANG>_ARCHIVE_FINISH
  variable, [1], [2]
CMAKE_<LANG>_COMPILE_OBJECT
  variable, [1]
CMAKE_<LANG>_COMPILER
  variable, [1], [2], [3], [4], [5], [6]
CMAKE_<LANG>_COMPILER_ABI
  variable
CMAKE_<LANG>_COMPILER_EXTERNAL_TOOLCHAIN
  variable, [1]
CMAKE_<LANG>_COMPILER_ID
  variable, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16]
CMAKE_<LANG>_COMPILER_LAUNCHER
  variable, [1], [2]
CMAKE_<LANG>_COMPILER_LOADED
  variable
CMAKE_<LANG>_COMPILER_TARGET
  variable, [1], [2], [3]
CMAKE_<LANG>_COMPILER_VERSION
  variable, [1], [2], [3], [4], [5], [6], [7], [8], [9]
CMAKE_<LANG>_CREATE_SHARED_LIBRARY
  variable
CMAKE_<LANG>_CREATE_SHARED_MODULE
  variable
CMAKE_<LANG>_CREATE_STATIC_LIBRARY
  variable, [1], [2], [3]
CMAKE_<LANG>_FLAGS
  variable, [1], [2], [3], [4], [5]
CMAKE_<LANG>_FLAGS_DEBUG
  variable, [1]
CMAKE_<LANG>_FLAGS_MINSIZEREL
  variable
CMAKE_<LANG>_FLAGS_RELEASE
  variable
CMAKE_<LANG>_FLAGS_RELWITHDEBINFO
  variable
CMAKE_<LANG>_GHS_KERNEL_FLAGS_DEBUG
  variable
CMAKE_<LANG>_GHS_KERNEL_FLAGS_MINSIZEREL
  variable
CMAKE_<LANG>_GHS_KERNEL_FLAGS_RELEASE
  variable
CMAKE_<LANG>_GHS_KERNEL_FLAGS_RELWITHDEBINFO
  variable
CMAKE_<LANG>_IGNORE_EXTENSIONS
  variable
CMAKE_<LANG>_IMPLICIT_INCLUDE_DIRECTORIES
  variable
CMAKE_<LANG>_IMPLICIT_LINK_DIRECTORIES
  variable
CMAKE_<LANG>_IMPLICIT_LINK_FRAMEWORK_DIRECTORIES
  variable
CMAKE_<LANG>_IMPLICIT_LINK_LIBRARIES
  variable
CMAKE_<LANG>_INCLUDE_WHAT_YOU_USE
  variable, [1], [2]
CMAKE_<LANG>_LIBRARY_ARCHITECTURE
  variable, [1], [2]
CMAKE_<LANG>_LINK_EXECUTABLE
  variable
CMAKE_<LANG>_LINKER_PREFERENCE
  variable, [1]
CMAKE_<LANG>_LINKER_PREFERENCE_PROPAGATES
  variable, [1]
CMAKE_<LANG>_OUTPUT_EXTENSION
  variable
CMAKE_<LANG>_PLATFORM_ID
  variable
CMAKE_<LANG>_SIMULATE_ID
  variable
CMAKE_<LANG>_SIMULATE_VERSION
  variable
CMAKE_<LANG>_SIZEOF_DATA_PTR
  variable
CMAKE_<LANG>_SOURCE_FILE_EXTENSIONS
  variable
CMAKE_<LANG>_VISIBILITY_PRESET
  variable, [1], [2]
CMAKE_ABSOLUTE_DESTINATION_FILES
  variable, [1]
CMAKE_ANDROID_ANT_ADDITIONAL_OPTIONS
  variable, [1]
CMAKE_ANDROID_API
  variable, [1]
CMAKE_ANDROID_API_MIN
  variable, [1]
CMAKE_ANDROID_ARCH
  variable, [1]
CMAKE_ANDROID_ASSETS_DIRECTORIES
  variable, [1]
CMAKE_ANDROID_GUI
  variable, [1]
CMAKE_ANDROID_JAR_DEPENDENCIES
  variable, [1]
CMAKE_ANDROID_JAR_DIRECTORIES
  variable, [1]
CMAKE_ANDROID_JAVA_SOURCE_DIR
  variable, [1]
CMAKE_ANDROID_NATIVE_LIB_DEPENDENCIES
  variable, [1]
CMAKE_ANDROID_NATIVE_LIB_DIRECTORIES
  variable, [1]
CMAKE_ANDROID_PROCESS_MAX
  variable, [1]
CMAKE_ANDROID_PROGUARD
  variable, [1]
CMAKE_ANDROID_PROGUARD_CONFIG_PATH
  variable, [1]
CMAKE_ANDROID_SECURE_PROPS_PATH
  variable, [1]
CMAKE_ANDROID_SKIP_ANT_STEP
  variable, [1]
CMAKE_ANDROID_STL_TYPE
  variable
CMAKE_APPBUNDLE_PATH
  variable, [1], [2], [3], [4], [5], [6]
CMAKE_AR
  variable
CMAKE_ARCHIVE_OUTPUT_DIRECTORY
  variable
CMAKE_ARCHIVE_OUTPUT_DIRECTORY_<CONFIG>
  variable, [1]
CMAKE_ARGC
  variable, [1]
CMAKE_ARGV0
  variable, [1]
CMAKE_AUTOMOC
  variable, [1], [2], [3]
CMAKE_AUTOMOC_MOC_OPTIONS
  variable, [1]
CMAKE_AUTOMOC_RELAXED_MODE
  variable, [1]
CMAKE_AUTORCC
  variable, [1], [2]
CMAKE_AUTORCC_OPTIONS
  variable, [1], [2]
CMAKE_AUTOUIC
  variable, [1], [2]
CMAKE_AUTOUIC_OPTIONS
  variable, [1], [2]
CMAKE_BACKWARDS_COMPATIBILITY
  variable
CMAKE_BINARY_DIR
  variable, [1], [2], [3]
CMAKE_BUILD_TOOL
  variable
CMAKE_BUILD_TYPE
  variable, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11]
CMAKE_BUILD_WITH_INSTALL_RPATH
  variable
CMAKE_C_COMPILE_FEATURES
  variable, [1], [2], [3], [4]
CMAKE_C_EXTENSIONS
  variable, [1], [2]
CMAKE_C_KNOWN_FEATURES
  global property, [1], [2], [3]
CMAKE_C_STANDARD
  variable, [1], [2]
CMAKE_C_STANDARD_REQUIRED
  variable, [1]
CMAKE_CACHE_MAJOR_VERSION
  variable
CMAKE_CACHE_MINOR_VERSION
  variable
CMAKE_CACHE_PATCH_VERSION
  variable
CMAKE_CACHEFILE_DIR
  variable
CMAKE_CFG_INTDIR
  variable, [1], [2]
CMAKE_CL_64
  variable
CMAKE_COLOR_MAKEFILE
  variable
CMAKE_COMMAND
  variable, [1]
CMAKE_COMPILE_PDB_OUTPUT_DIRECTORY
  variable, [1], [2]
CMAKE_COMPILE_PDB_OUTPUT_DIRECTORY_<CONFIG>
  variable, [1]
CMAKE_COMPILER_2005
  variable
CMAKE_COMPILER_IS_GNU<LANG>
  variable
CMAKE_CONFIGURATION_TYPES
  variable, [1]
CMAKE_CONFIGURE_DEPENDS
  directory property, [1]
CMAKE_CROSSCOMPILING
  variable, [1], [2], [3], [4]
CMAKE_CROSSCOMPILING_EMULATOR
  variable, [1], [2]
CMAKE_CTEST_COMMAND
  variable
CMAKE_CURRENT_BINARY_DIR
  variable, [1], [2], [3], [4]
CMAKE_CURRENT_LIST_DIR
  variable
CMAKE_CURRENT_LIST_FILE
  variable, [1], [2], [3]
CMAKE_CURRENT_LIST_LINE
  variable
CMAKE_CURRENT_SOURCE_DIR
  variable, [1], [2], [3], [4], [5]
CMAKE_CXX_COMPILE_FEATURES
  variable, [1], [2], [3], [4], [5]
CMAKE_CXX_EXTENSIONS
  variable, [1], [2]
CMAKE_CXX_KNOWN_FEATURES
  global property, [1], [2], [3], [4], [5]
CMAKE_CXX_STANDARD
  variable, [1], [2], [3]
CMAKE_CXX_STANDARD_REQUIRED
  variable, [1]
CMAKE_DEBUG_POSTFIX
  variable
CMAKE_DEBUG_TARGET_PROPERTIES
  variable, [1], [2], [3]
CMAKE_DISABLE_FIND_PACKAGE_<PackageName>
  variable, [1], [2]
CMAKE_DL_LIBS
  variable
CMAKE_EDIT_COMMAND
  variable
CMAKE_ENABLE_EXPORTS
  variable, [1], [2]
CMAKE_ERROR_DEPRECATED
  variable, [1]
CMAKE_ERROR_ON_ABSOLUTE_INSTALL_DESTINATION
  variable, [1]
CMAKE_EXE_LINKER_FLAGS
  variable, [1], [2], [3], [4], [5]
CMAKE_EXE_LINKER_FLAGS_<CONFIG>
  variable
CMAKE_EXECUTABLE_SUFFIX
  variable
CMAKE_EXPORT_NO_PACKAGE_REGISTRY
  variable, [1], [2], [3], [4]
CMAKE_EXTRA_GENERATOR
  variable
CMAKE_EXTRA_SHARED_LIBRARY_SUFFIXES
  variable
CMAKE_FIND_APPBUNDLE
  variable, [1], [2], [3], [4], [5]
CMAKE_FIND_FRAMEWORK
  variable, [1], [2], [3], [4], [5]
CMAKE_FIND_LIBRARY_PREFIXES
  variable
CMAKE_FIND_LIBRARY_SUFFIXES
  variable
CMAKE_FIND_NO_INSTALL_PREFIX
  variable, [1], [2]
CMAKE_FIND_PACKAGE_NAME
  variable
CMAKE_FIND_PACKAGE_NO_PACKAGE_REGISTRY
  variable, [1], [2], [3], [4]
CMAKE_FIND_PACKAGE_NO_SYSTEM_PACKAGE_REGISTRY
  variable, [1], [2], [3], [4]
CMAKE_FIND_PACKAGE_WARN_NO_MODULE
  variable
CMAKE_FIND_ROOT_PATH
  variable, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24], [25], [26], [27], [28], [29], [30], [31], [32], [33], [34], [35], [36], [37]
CMAKE_FIND_ROOT_PATH_MODE_INCLUDE
  variable, [1], [2], [3], [4]
CMAKE_FIND_ROOT_PATH_MODE_LIBRARY
  variable, [1], [2]
CMAKE_FIND_ROOT_PATH_MODE_PACKAGE
  variable, [1], [2]
CMAKE_FIND_ROOT_PATH_MODE_PROGRAM
  variable, [1], [2]
CMAKE_Fortran_FORMAT
  variable
CMAKE_Fortran_MODDIR_DEFAULT
  variable
CMAKE_Fortran_MODDIR_FLAG
  variable
CMAKE_Fortran_MODOUT_FLAG
  variable
CMAKE_Fortran_MODULE_DIRECTORY
  variable
CMAKE_FRAMEWORK_PATH
  variable, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12]
CMAKE_GENERATOR
  variable, [1], [2]
CMAKE_GENERATOR_PLATFORM
  variable, [1], [2], [3], [4], [5], [6], [7], [8]
CMAKE_GENERATOR_TOOLSET
  variable, [1], [2], [3], [4]
CMAKE_GNUtoMS
  variable
CMAKE_HOME_DIRECTORY
  variable
CMAKE_HOST_APPLE
  variable
CMAKE_HOST_SYSTEM
  variable
cmake_host_system_information
  command
CMAKE_HOST_SYSTEM_NAME
  variable, [1], [2], [3]
CMAKE_HOST_SYSTEM_PROCESSOR
  variable, [1], [2]
CMAKE_HOST_SYSTEM_VERSION
  variable, [1], [2], [3]
CMAKE_HOST_UNIX
  variable
CMAKE_HOST_WIN32
  variable
CMAKE_IGNORE_PATH
  variable, [1], [2]
CMAKE_IMPORT_LIBRARY_PREFIX
  variable
CMAKE_IMPORT_LIBRARY_SUFFIX
  variable
CMAKE_INCLUDE_CURRENT_DIR
  variable, [1], [2], [3]
CMAKE_INCLUDE_CURRENT_DIR_IN_INTERFACE
  variable, [1], [2]
CMAKE_INCLUDE_DIRECTORIES_BEFORE
  variable, [1]
CMAKE_INCLUDE_DIRECTORIES_PROJECT_BEFORE
  variable
CMAKE_INCLUDE_PATH
  variable, [1], [2], [3], [4], [5], [6], [7], [8], [9]
CMAKE_INSTALL_DEFAULT_COMPONENT_NAME
  variable, [1]
CMAKE_INSTALL_MESSAGE
  variable, [1], [2], [3]
CMAKE_INSTALL_NAME_DIR
  variable, [1]
CMAKE_INSTALL_PREFIX
  variable, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24]
CMAKE_INSTALL_RPATH
  variable, [1]
CMAKE_INSTALL_RPATH_USE_LINK_PATH
  variable
CMAKE_INTERNAL_PLATFORM_ABI
  variable
CMAKE_JOB_POOL_COMPILE
  variable, [1], [2]
CMAKE_JOB_POOL_LINK
  variable, [1], [2]
CMAKE_LIBRARY_ARCHITECTURE
  variable, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22]
CMAKE_LIBRARY_ARCHITECTURE_REGEX
  variable
CMAKE_LIBRARY_OUTPUT_DIRECTORY
  variable
CMAKE_LIBRARY_OUTPUT_DIRECTORY_<CONFIG>
  variable, [1]
CMAKE_LIBRARY_PATH
  variable, [1], [2], [3], [4], [5], [6]
CMAKE_LIBRARY_PATH_FLAG
  variable
CMAKE_LINK_DEF_FILE_FLAG
  variable
CMAKE_LINK_DEPENDS_NO_SHARED
  variable
CMAKE_LINK_INTERFACE_LIBRARIES
  variable, [1]
CMAKE_LINK_LIBRARY_FILE_FLAG
  variable
CMAKE_LINK_LIBRARY_FLAG
  variable
CMAKE_LINK_LIBRARY_SUFFIX
  variable
CMAKE_LINK_SEARCH_END_STATIC
  variable, [1], [2], [3]
CMAKE_LINK_SEARCH_START_STATIC
  variable, [1], [2], [3]
CMAKE_MACOSX_BUNDLE
  variable
CMAKE_MACOSX_RPATH
  variable, [1]
CMAKE_MAJOR_VERSION
  variable, [1]
CMAKE_MAKE_PROGRAM
  variable, [1], [2], [3], [4], [5], [6]
CMAKE_MAP_IMPORTED_CONFIG_<CONFIG>
  variable, [1]
CMAKE_MATCH_COUNT
  variable, [1]
CMAKE_MFC_FLAG
  variable
cmake_minimum_required
  command, [1], [2], [3], [4], [5], [6], [7]
CMAKE_MINIMUM_REQUIRED_VERSION
  variable, [1], [2], [3], [4]
CMAKE_MINOR_VERSION
  variable, [1]
CMAKE_MODULE_LINKER_FLAGS
  variable
CMAKE_MODULE_LINKER_FLAGS_<CONFIG>
  variable
CMAKE_MODULE_PATH
  variable, [1], [2], [3], [4], [5], [6], [7]
CMAKE_NO_BUILTIN_CHRPATH
  variable
CMAKE_NO_SYSTEM_FROM_IMPORTED
  variable
CMAKE_NOT_USING_CONFIG_FLAGS
  variable
CMAKE_OBJECT_PATH_MAX
  variable
CMAKE_OSX_ARCHITECTURES
  variable, [1]
CMAKE_OSX_DEPLOYMENT_TARGET
  variable, [1]
CMAKE_OSX_SYSROOT
  variable, [1]
CMAKE_PARENT_LIST_FILE
  variable, [1]
CMAKE_PATCH_VERSION
  variable, [1]
CMAKE_PDB_OUTPUT_DIRECTORY
  variable, [1], [2]
CMAKE_PDB_OUTPUT_DIRECTORY_<CONFIG>
  variable, [1]
cmake_policy
  command, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21]
CMAKE_POLICY_DEFAULT_CMP<NNNN>
  variable, [1], [2], [3]
CMAKE_POLICY_WARNING_CMP<NNNN>
  variable, [1], [2], [3], [4], [5]
CMAKE_POSITION_INDEPENDENT_CODE
  variable, [1], [2]
CMAKE_PREFIX_PATH
  variable, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24]
CMAKE_PROGRAM_PATH
  variable, [1], [2], [3], [4], [5], [6]
CMAKE_PROJECT_<PROJECT-NAME>_INCLUDE
  variable, [1]
CMAKE_PROJECT_NAME
  variable
CMAKE_RANLIB
  variable
CMAKE_ROOT
  variable
CMAKE_RUNTIME_OUTPUT_DIRECTORY
  variable, [1]
CMAKE_RUNTIME_OUTPUT_DIRECTORY_<CONFIG>
  variable, [1]
CMAKE_SCRIPT_MODE_FILE
  variable
CMAKE_SHARED_LIBRARY_PREFIX
  variable
CMAKE_SHARED_LIBRARY_SUFFIX
  variable, [1]
CMAKE_SHARED_LINKER_FLAGS
  variable
CMAKE_SHARED_LINKER_FLAGS_<CONFIG>
  variable
CMAKE_SHARED_MODULE_PREFIX
  variable
CMAKE_SHARED_MODULE_SUFFIX
  variable
CMAKE_SIZEOF_VOID_P
  variable
CMAKE_SKIP_BUILD_RPATH
  variable
CMAKE_SKIP_INSTALL_ALL_DEPENDENCY
  variable, [1]
CMAKE_SKIP_INSTALL_RPATH
  variable, [1]
CMAKE_SKIP_INSTALL_RULES
  variable
CMAKE_SKIP_RPATH
  variable, [1]
CMAKE_SOURCE_DIR
  variable, [1], [2]
CMAKE_STAGING_PREFIX
  variable, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15]
CMAKE_STANDARD_LIBRARIES
  variable
CMAKE_STATIC_LIBRARY_PREFIX
  variable
CMAKE_STATIC_LIBRARY_SUFFIX
  variable
CMAKE_STATIC_LINKER_FLAGS
  variable
CMAKE_STATIC_LINKER_FLAGS_<CONFIG>
  variable
CMAKE_SYSROOT
  variable, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22]
CMAKE_SYSTEM
  variable, [1], [2]
CMAKE_SYSTEM_APPBUNDLE_PATH
  variable, [1], [2]
CMAKE_SYSTEM_FRAMEWORK_PATH
  variable, [1], [2], [3], [4], [5], [6]
CMAKE_SYSTEM_IGNORE_PATH
  variable, [1]
CMAKE_SYSTEM_INCLUDE_PATH
  variable, [1], [2], [3], [4], [5], [6], [7]
CMAKE_SYSTEM_LIBRARY_PATH
  variable, [1], [2], [3], [4], [5]
CMAKE_SYSTEM_NAME
  variable, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13]
CMAKE_SYSTEM_PREFIX_PATH
  variable, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20]
CMAKE_SYSTEM_PROCESSOR
  variable, [1]
CMAKE_SYSTEM_PROGRAM_PATH
  variable, [1], [2], [3], [4], [5]
CMAKE_SYSTEM_VERSION
  variable, [1], [2], [3], [4], [5], [6], [7], [8], [9]
CMAKE_TOOLCHAIN_FILE
  variable, [1], [2], [3], [4], [5], [6], [7], [8], [9]
CMAKE_TRY_COMPILE_CONFIGURATION
  variable, [1], [2]
CMAKE_TWEAK_VERSION
  variable, [1]
CMAKE_USE_RELATIVE_PATHS
  variable, [1]
CMAKE_USER_MAKE_RULES_OVERRIDE
  variable, [1]
CMAKE_USER_MAKE_RULES_OVERRIDE_<LANG>
  variable
CMAKE_VERBOSE_MAKEFILE
  variable
CMAKE_VERSION
  variable, [1], [2], [3], [4], [5], [6], [7]
CMAKE_VISIBILITY_INLINES_HIDDEN
  variable, [1], [2]
CMAKE_VS_DEVENV_COMMAND
  variable, [1], [2]
CMAKE_VS_INCLUDE_INSTALL_TO_DEFAULT_BUILD
  variable, [1]
CMAKE_VS_INTEL_Fortran_PROJECT_VERSION
  variable
CMAKE_VS_MSBUILD_COMMAND
  variable, [1], [2]
CMAKE_VS_MSDEV_COMMAND
  variable, [1]
CMAKE_VS_NsightTegra_VERSION
  variable
CMAKE_VS_PLATFORM_NAME
  variable
CMAKE_VS_PLATFORM_TOOLSET
  variable
CMAKE_VS_WINDOWS_TARGET_PLATFORM_VERSION
  variable, [1], [2], [3], [4]
CMAKE_WARN_DEPRECATED
  variable, [1]
CMAKE_WARN_ON_ABSOLUTE_INSTALL_DESTINATION
  variable, [1]
CMAKE_WIN32_EXECUTABLE
  variable
CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS
  variable, [1]
CMAKE_XCODE_ATTRIBUTE_<an-attribute>
  variable, [1]
CMAKE_XCODE_PLATFORM_TOOLSET
  variable
CMakeAddFortranSubdirectory
  module
CMakeBackwardCompatibilityCXX
  module
CMakeDependentOption
  module, [1]
CMakeDetermineVSServicePack
  module, [1]
CMakeExpandImportedTargets
  module, [1]
CMakeFindDependencyMacro
  module, [1], [2]
CMakeFindFrameworks
  module
CMakeFindPackageMode
  module
CMakeForceCompiler
  module, [1]
CMakeGraphVizOptions
  module
CMakePackageConfigHelpers
  module, [1], [2], [3]
CMakeParseArguments
  module
CMakePrintHelpers
  module
CMakePrintSystemInformation
  module
CMakePushCheckState
  module
CMakeVerifyManifest
  module
CMP0000
  policy, [1], [2]
CMP0001
  policy, [1]
CMP0002
  policy
CMP0003
  policy, [1], [2], [3]
CMP0004
  policy, [1]
CMP0005
  policy
CMP0006
  policy
CMP0007
  policy
CMP0008
  policy
CMP0009
  policy, [1], [2]
CMP0010
  policy, [1]
CMP0011
  policy, [1]
CMP0012
  policy
CMP0013
  policy
CMP0014
  policy
CMP0015
  policy, [1]
CMP0016
  policy
CMP0017
  policy, [1]
CMP0018
  policy
CMP0019
  policy
CMP0020
  policy
CMP0021
  policy
CMP0022
  policy, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10]
CMP0023
  policy
CMP0024
  policy, [1]
CMP0025
  policy, [1], [2]
CMP0026
  policy, [1]
CMP0027
  policy, [1]
CMP0028
  policy, [1], [2], [3]
CMP0029
  policy, [1], [2]
CMP0030
  policy, [1], [2]
CMP0031
  policy, [1], [2]
CMP0032
  policy, [1], [2]
CMP0033
  policy, [1], [2]
CMP0034
  policy, [1], [2]
CMP0035
  policy, [1], [2]
CMP0036
  policy, [1], [2]
CMP0037
  policy, [1]
CMP0038
  policy, [1]
CMP0039
  policy, [1]
CMP0040
  policy, [1]
CMP0041
  policy, [1], [2]
CMP0042
  policy, [1]
CMP0043
  policy, [1], [2], [3], [4]

CMP0044
  policy, [1]
CMP0045
  policy, [1]
CMP0046
  policy, [1]
CMP0047
  policy, [1], [2]
CMP0048
  policy, [1], [2], [3]
CMP0049
  policy, [1]
CMP0050
  policy, [1]
CMP0051
  policy, [1]
CMP0052
  policy, [1]
CMP0053
  policy, [1], [2], [3], [4]
CMP0054
  policy, [1], [2]
CMP0055
  policy, [1]
CMP0056
  policy, [1], [2], [3]
CMP0057
  policy
CMP0058
  policy, [1]
CMP0059
  policy, [1], [2]
CMP0060
  policy, [1], [2], [3]
CMP0061
  policy, [1], [2]
CMP0062
  policy, [1]
CMP0063
  policy, [1], [2], [3]
CMP0064
  policy, [1]
CMP0065
  policy, [1], [2], [3]
CodeBlocks
  generator
CodeLite
  generator, [1]
command
  CHECK_INCLUDE_FILE
  CHECK_INCLUDE_FILES
  CHECK_INCLUDE_FILE_CXX
  ExternalData_Add_Target
  ExternalData_Add_Test
  ExternalData_Expand_Arguments
  ExternalProject_Add
  ExternalProject_Add_Step
  ExternalProject_Add_StepDependencies
  ExternalProject_Add_StepTargets
  ExternalProject_Get_Property
  add_compile_options, [1], [2], [3]
  add_custom_command, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21]
  add_custom_target, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13]
  add_definitions, [1], [2], [3], [4], [5], [6], [7], [8], [9]
  add_dependencies, [1], [2], [3], [4], [5], [6], [7], [8], [9]
  add_executable, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24], [25], [26], [27], [28]
  add_library, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24], [25], [26], [27], [28], [29], [30], [31], [32]
  add_subdirectory, [1], [2], [3], [4], [5], [6]
  add_test, [1], [2], [3], [4], [5], [6], [7], [8], [9]
  aux_source_directory
  break, [1], [2], [3], [4], [5], [6]
  build_command, [1], [2], [3], [4]
  build_name, [1], [2]
  cdash_coverage_collect_gcov
  cmake_host_system_information
  cmake_minimum_required, [1], [2], [3], [4], [5], [6], [7]
  cmake_policy, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21]
  configure_file, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13]
  configure_package_config_file, [1], [2], [3]
  continue, [1], [2], [3]
  cpack_add_component, [1]
  cpack_add_component_group
  cpack_add_install_type
  cpack_configure_downloads, [1]
  cpack_ifw_add_repository, [1], [2]
  cpack_ifw_configure_component
  cpack_ifw_configure_component_group
  create_test_sourcelist
  ctest_build, [1], [2], [3]
  ctest_configure, [1]
  ctest_coverage, [1], [2], [3], [4], [5], [6], [7], [8], [9]
  ctest_empty_binary_directory
  ctest_memcheck, [1], [2], [3], [4], [5]
  ctest_read_custom_files, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18]
  ctest_run_script
  ctest_sleep
  ctest_start, [1], [2], [3], [4], [5], [6]
  ctest_submit, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11]
  ctest_test, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17]
  ctest_update, [1], [2]
  ctest_upload
  define_property, [1]
  else, [1]
  elseif, [1]
  enable_language, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10]
  enable_testing, [1]
  endforeach, [1]
  endfunction, [1], [2]
  endif, [1]
  endmacro, [1], [2]
  endwhile, [1], [2], [3]
  exec_program, [1]
  execute_process, [1], [2], [3], [4]
  export, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22]
  export_library_dependencies, [1], [2]
  externalproject_add, [1], [2], [3]
  file, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21]
  find_file, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12]
  find_library, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19]
  find_package, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24], [25], [26], [27], [28], [29], [30], [31], [32], [33], [34], [35], [36], [37], [38], [39], [40], [41], [42], [43], [44], [45], [46], [47], [48], [49], [50], [51], [52], [53], [54], [55], [56], [57], [58], [59], [60], [61], [62], [63], [64], [65], [66]
  find_package_handle_standard_args
  find_path, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12]
  find_program, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12]
  fltk_wrap_ui
  foreach, [1], [2], [3]
  function, [1], [2], [3], [4], [5], [6]
  get_cmake_property
  get_directory_property
  get_filename_component, [1], [2]
  get_property, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12]
  get_source_file_property
  get_target_property, [1], [2], [3]
  get_test_property
  if, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24]
  include, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10]
  include_directories, [1], [2], [3], [4], [5], [6], [7], [8], [9]
  include_external_msproject, [1]
  include_regular_expression, [1]
  install, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24], [25], [26], [27], [28], [29], [30], [31], [32], [33], [34], [35], [36], [37], [38], [39], [40], [41], [42], [43], [44], [45], [46], [47], [48]
  install_files, [1], [2]
  install_programs, [1], [2]
  install_targets, [1], [2]
  link_directories
  link_libraries
  list, [1], [2], [3], [4], [5], [6]
  load_cache
  load_command, [1], [2]
  macro, [1], [2], [3], [4]
  make_directory
  mark_as_advanced
  math
  matlab_add_mex, [1], [2]
  matlab_add_unit_test, [1], [2]
  matlab_extract_all_installed_versions_from_registry, [1]
  matlab_get_all_valid_matlab_roots_from_registry, [1]
  matlab_get_mex_suffix, [1]
  matlab_get_release_name_from_version, [1], [2]
  matlab_get_version_from_matlab_run, [1]
  matlab_get_version_from_release_name, [1], [2]
  message, [1], [2]
  option, [1]
  output_required_files, [1], [2]
  pkg_check_modules, [1], [2], [3]
  pkg_get_variable, [1]
  pkg_search_module, [1], [2]
  project, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24], [25], [26], [27], [28], [29], [30], [31], [32], [33], [34], [35], [36], [37], [38], [39], [40], [41], [42], [43]
  protobuf_generate_cpp
  protobuf_generate_python, [1]
  qt_wrap_cpp
  qt_wrap_ui
  remove
  remove_definitions
  return
  separate_arguments
  set, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14]
  set_directory_properties
  set_property, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10]
  set_source_files_properties, [1]
  set_target_properties, [1], [2], [3]
  set_tests_properties
  site_name, [1]
  source_group
  string, [1], [2], [3], [4], [5], [6], [7], [8]
  subdir_depends, [1], [2]
  subdirs
  target_compile_definitions, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11]
  target_compile_features, [1], [2], [3], [4], [5], [6], [7]
  target_compile_options, [1], [2], [3], [4], [5], [6], [7], [8], [9]
  target_include_directories, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15]
  target_link_libraries, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24], [25], [26], [27], [28], [29], [30], [31], [32], [33], [34], [35], [36], [37], [38], [39], [40], [41], [42], [43], [44], [45], [46], [47], [48]
  target_sources, [1], [2], [3], [4]
  try_compile, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16]
  try_run, [1], [2], [3], [4], [5], [6], [7]
  unset, [1], [2], [3], [4]
  use_mangled_mesa, [1], [2]
  utility_source, [1], [2]
  variable_requires, [1], [2]
  variable_watch, [1]
  while, [1], [2], [3]
  write_basic_package_version_file, [1], [2]
  write_file
  xctest_add_bundle, [1]
  xctest_add_test
COMPATIBLE_INTERFACE_BOOL
  target property, [1], [2]
COMPATIBLE_INTERFACE_NUMBER_MAX
  target property, [1], [2], [3]
COMPATIBLE_INTERFACE_NUMBER_MIN
  target property, [1], [2], [3]
COMPATIBLE_INTERFACE_STRING
  target property, [1], [2], [3], [4]
COMPILE_DEFINITIONS
  directory property, [1], [2], [3], [4], [5], [6], [7]
  source file property, [1]
  target property, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14]
COMPILE_DEFINITIONS_<CONFIG>
  directory property, [1], [2], [3]
  source file property
  target property, [1], [2], [3], [4], [5], [6]
COMPILE_FEATURES
  target property, [1], [2], [3], [4], [5]
COMPILE_FLAGS
  source file property
  target property, [1]
COMPILE_OPTIONS
  directory property, [1], [2], [3]
  target property, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11]
COMPILE_PDB_NAME
  target property, [1], [2], [3], [4]
COMPILE_PDB_NAME_<CONFIG>
  target property, [1], [2]
COMPILE_PDB_OUTPUT_DIRECTORY
  target property, [1], [2], [3], [4], [5]
COMPILE_PDB_OUTPUT_DIRECTORY_<CONFIG>
  target property, [1], [2], [3]
configure_file
  command, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13]
configure_package_config_file
  command, [1], [2], [3]
continue
  command, [1], [2], [3]
COST
  test property
CPack
  module, [1], [2], [3]
cpack(1)
  manual, [1], [2], [3], [4], [5]
CPACK_<GENNAME>_COMPONENT_INSTALL
  variable
CPACK_ABSOLUTE_DESTINATION_FILES
  variable
cpack_add_component
  command, [1]
cpack_add_component_group
  command
cpack_add_install_type
  command
CPACK_BINARY_<GENNAME>
  variable
CPACK_BUNDLE_APPLE_CERT_APP
  variable
CPACK_BUNDLE_APPLE_CODESIGN_FILES
  variable
CPACK_BUNDLE_APPLE_CODESIGN_PARAMETER
  variable
CPACK_BUNDLE_APPLE_ENTITLEMENTS
  variable
CPACK_BUNDLE_ICON
  variable
CPACK_BUNDLE_NAME
  variable
CPACK_BUNDLE_PLIST
  variable
CPACK_BUNDLE_STARTUP_COMMAND
  variable
CPACK_CMAKE_GENERATOR
  variable
CPACK_COMMAND_CODESIGN
  variable
CPACK_COMMAND_HDIUTIL
  variable
CPACK_COMMAND_REZ
  variable
CPACK_COMMAND_SETFILE
  variable
CPACK_COMPONENT_<compName>_DEPENDS
  variable
CPACK_COMPONENT_<compName>_DESCRIPTION
  variable
CPACK_COMPONENT_<compName>_DISPLAY_NAME
  variable
CPACK_COMPONENT_<compName>_GROUP
  variable
CPACK_COMPONENT_<compName>_REQUIRED
  variable
CPACK_COMPONENT_<COMPONENT>_DESCRIPTION
  variable
CPACK_COMPONENT_INCLUDE_TOPLEVEL_DIRECTORY
  variable, [1]
CPACK_COMPONENTS_ALL
  variable
CPACK_COMPONENTS_GROUPING
  variable
cpack_configure_downloads
  command, [1]
CPACK_CREATE_DESKTOP_LINKS
  variable
CPACK_CYGWIN_BUILD_SCRIPT
  variable
CPACK_CYGWIN_PATCH_FILE
  variable
CPACK_CYGWIN_PATCH_NUMBER
  variable
CPACK_DEBIAN_<COMPONENT>_PACKAGE_BREAKS
  variable, [1]
CPACK_DEBIAN_<COMPONENT>_PACKAGE_CONFLICTS
  variable, [1]
CPACK_DEBIAN_<COMPONENT>_PACKAGE_CONTROL_EXTRA
  variable
CPACK_DEBIAN_<COMPONENT>_PACKAGE_CONTROL_STRICT_PERMISSION
  variable
CPACK_DEBIAN_<COMPONENT>_PACKAGE_DEPENDS
  variable, [1], [2], [3]
CPACK_DEBIAN_<COMPONENT>_PACKAGE_ENHANCES
  variable, [1]
CPACK_DEBIAN_<COMPONENT>_PACKAGE_PREDEPENDS
  variable, [1]
CPACK_DEBIAN_<COMPONENT>_PACKAGE_PROVIDES
  variable, [1]
CPACK_DEBIAN_<COMPONENT>_PACKAGE_RECOMMENDS
  variable, [1]
CPACK_DEBIAN_<COMPONENT>_PACKAGE_REPLACES
  variable, [1]
CPACK_DEBIAN_<COMPONENT>_PACKAGE_SHLIBDEPS
  variable, [1], [2]
CPACK_DEBIAN_<COMPONENT>_PACKAGE_SUGGESTS
  variable, [1]
CPACK_DEBIAN_COMPRESSION_TYPE
  variable, [1]
CPACK_DEBIAN_PACKAGE_ARCHITECTURE
  variable
CPACK_DEBIAN_PACKAGE_BREAKS
  variable, [1], [2]
CPACK_DEBIAN_PACKAGE_CONFLICTS
  variable, [1]
CPACK_DEBIAN_PACKAGE_CONTROL_EXTRA
  variable
CPACK_DEBIAN_PACKAGE_CONTROL_STRICT_PERMISSION
  variable, [1]
CPACK_DEBIAN_PACKAGE_DEBUG
  variable
CPACK_DEBIAN_PACKAGE_DEPENDS
  variable, [1], [2], [3]
CPACK_DEBIAN_PACKAGE_DESCRIPTION
  variable, [1]
CPACK_DEBIAN_PACKAGE_ENHANCES
  variable, [1]
CPACK_DEBIAN_PACKAGE_HOMEPAGE
  variable
CPACK_DEBIAN_PACKAGE_MAINTAINER
  variable
CPACK_DEBIAN_PACKAGE_NAME
  variable
CPACK_DEBIAN_PACKAGE_PREDEPENDS
  variable, [1]
CPACK_DEBIAN_PACKAGE_PRIORITY
  variable
CPACK_DEBIAN_PACKAGE_PROVIDES
  variable, [1]
CPACK_DEBIAN_PACKAGE_RECOMMENDS
  variable, [1]
CPACK_DEBIAN_PACKAGE_REPLACES
  variable, [1]
CPACK_DEBIAN_PACKAGE_SECTION
  variable
CPACK_DEBIAN_PACKAGE_SHLIBDEPS
  variable, [1], [2]
CPACK_DEBIAN_PACKAGE_SUGGESTS
  variable, [1], [2]
CPACK_DEBIAN_PACKAGE_VERSION
  variable
CPACK_DESKTOP_SHORTCUTS
  installed file property, [1]
CPACK_DMG_BACKGROUND_IMAGE
  variable
CPACK_DMG_DS_STORE
  variable
CPACK_DMG_FORMAT
  variable
CPACK_DMG_VOLUME_NAME
  variable
CPACK_ERROR_ON_ABSOLUTE_INSTALL_DESTINATION
  variable
CPACK_GENERATOR
  variable
cpack_ifw_add_repository
  command, [1], [2]
CPACK_IFW_ADMIN_TARGET_DIRECTORY
  variable
CPACK_IFW_BINARYCREATOR_EXECUTABLE
  variable
cpack_ifw_configure_component
  command
cpack_ifw_configure_component_group
  command
CPACK_IFW_DOWNLOAD_ALL
  variable, [1]
CPACK_IFW_FRAMEWORK_VERSION
  variable
CPACK_IFW_PACKAGE_ALLOW_NON_ASCII_CHARACTERS
  variable
CPACK_IFW_PACKAGE_ALLOW_SPACE_IN_PATH
  variable
CPACK_IFW_PACKAGE_CONTROL_SCRIPT
  variable
CPACK_IFW_PACKAGE_GROUP
  variable
CPACK_IFW_PACKAGE_ICON
  variable
CPACK_IFW_PACKAGE_LOGO
  variable
CPACK_IFW_PACKAGE_MAINTENANCE_TOOL_INI_FILE
  variable
CPACK_IFW_PACKAGE_MAINTENANCE_TOOL_NAME
  variable
CPACK_IFW_PACKAGE_NAME
  variable, [1]
CPACK_IFW_PACKAGE_PUBLISHER
  variable
CPACK_IFW_PACKAGE_START_MENU_DIRECTORY
  variable
CPACK_IFW_PACKAGE_TITLE
  variable
CPACK_IFW_PACKAGE_WINDOW_ICON
  variable
CPACK_IFW_PACKAGES_DIRECTORIES
  variable
CPACK_IFW_PRODUCT_URL
  variable
CPACK_IFW_REPOGEN_EXECUTABLE
  variable
CPACK_IFW_REPOSITORIES_ALL
  variable, [1]
CPACK_IFW_RESOLVE_DUPLICATE_NAMES
  variable
CPACK_IFW_TARGET_DIRECTORY
  variable
CPACK_IFW_VERBOSE
  variable
CPACK_INCLUDE_TOPLEVEL_DIRECTORY
  variable, [1], [2]
CPACK_INSTALL_CMAKE_PROJECTS
  variable
CPACK_INSTALL_COMMANDS
  variable
CPACK_INSTALL_SCRIPT
  variable
CPACK_INSTALLED_DIRECTORIES
  variable
CPACK_MONOLITHIC_INSTALL
  variable
CPACK_NEVER_OVERWRITE
  installed file property
CPACK_NSIS_COMPRESSOR
  variable
CPACK_NSIS_CONTACT
  variable
CPACK_NSIS_CREATE_ICONS_EXTRA
  variable
CPACK_NSIS_DELETE_ICONS_EXTRA
  variable
CPACK_NSIS_DISPLAY_NAME
  variable
CPACK_NSIS_ENABLE_UNINSTALL_BEFORE_INSTALL
  variable
CPACK_NSIS_EXECUTABLES_DIRECTORY
  variable
CPACK_NSIS_EXTRA_INSTALL_COMMANDS
  variable
CPACK_NSIS_EXTRA_PREINSTALL_COMMANDS
  variable
CPACK_NSIS_EXTRA_UNINSTALL_COMMANDS
  variable
CPACK_NSIS_HELP_LINK
  variable
CPACK_NSIS_INSTALL_ROOT
  variable
CPACK_NSIS_INSTALLED_ICON_NAME
  variable
CPACK_NSIS_INSTALLER_MUI_ICON_CODE
  variable
CPACK_NSIS_MENU_LINKS
  variable
CPACK_NSIS_MODIFY_PATH
  variable
CPACK_NSIS_MUI_FINISHPAGE_RUN
  variable
CPACK_NSIS_MUI_ICON
  variable
CPACK_NSIS_MUI_UNIICON
  variable
CPACK_NSIS_PACKAGE_NAME
  variable
CPACK_NSIS_URL_INFO_ABOUT
  variable
CPACK_OSX_PACKAGE_VERSION
  variable
CPACK_OUTPUT_CONFIG_FILE
  variable
CPACK_PACKAGE_DESCRIPTION_FILE
  variable
CPACK_PACKAGE_DESCRIPTION_SUMMARY
  variable, [1], [2]
CPACK_PACKAGE_DIRECTORY
  variable
CPACK_PACKAGE_EXECUTABLES
  variable, [1]
CPACK_PACKAGE_FILE_NAME
  variable
CPACK_PACKAGE_ICON
  variable
CPACK_PACKAGE_INSTALL_DIRECTORY
  variable, [1]
CPACK_PACKAGE_INSTALL_REGISTRY_KEY
  variable
CPACK_PACKAGE_NAME
  variable, [1]
CPACK_PACKAGE_VENDOR
  variable, [1]
CPACK_PACKAGE_VERSION
  variable, [1], [2], [3]
CPACK_PACKAGE_VERSION_MAJOR
  variable
CPACK_PACKAGE_VERSION_MINOR
  variable
CPACK_PACKAGE_VERSION_PATCH
  variable
CPACK_PACKAGING_INSTALL_PREFIX
  variable, [1], [2]
CPACK_PERMANENT
  installed file property
CPACK_PROJECT_CONFIG_FILE
  variable
CPACK_RESOURCE_FILE_LICENSE
  variable
CPACK_RESOURCE_FILE_README
  variable
CPACK_RESOURCE_FILE_WELCOME
  variable
CPACK_RPM_<component>_PACKAGE_ARCHITECTURE
  variable, [1]
CPACK_RPM_<component>_PACKAGE_AUTOPROV
  variable
CPACK_RPM_<component>_PACKAGE_AUTOREQ
  variable
CPACK_RPM_<component>_PACKAGE_AUTOREQPROV
  variable
CPACK_RPM_<component>_PACKAGE_CONFLICTS
  variable
CPACK_RPM_<component>_PACKAGE_DESCRIPTION
  variable, [1]
CPACK_RPM_<component>_PACKAGE_OBSOLETES
  variable
CPACK_RPM_<COMPONENT>_PACKAGE_PREFIX
  variable, [1]
CPACK_RPM_<component>_PACKAGE_PROVIDES
  variable
CPACK_RPM_<component>_PACKAGE_REQUIRES
  variable
CPACK_RPM_<component>_PACKAGE_REQUIRES_POST
  variable
CPACK_RPM_<component>_PACKAGE_REQUIRES_POSTUN
  variable
CPACK_RPM_<component>_PACKAGE_REQUIRES_PRE
  variable
CPACK_RPM_<component>_PACKAGE_REQUIRES_PREUN
  variable
CPACK_RPM_<component>_PACKAGE_SUGGESTS
  variable
CPACK_RPM_<component>_PACKAGE_SUMMARY
  variable, [1]
CPACK_RPM_<component>_PACKAGE_URL
  variable
CPACK_RPM_<COMPONENT>_USER_FILELIST
  variable
CPACK_RPM_ADDITIONAL_MAN_DIRS
  variable, [1]
CPACK_RPM_CHANGELOG_FILE
  variable
CPACK_RPM_COMPRESSION_TYPE
  variable
CPACK_RPM_EXCLUDE_FROM_AUTO_FILELIST
  variable
CPACK_RPM_EXCLUDE_FROM_AUTO_FILELIST_ADDITION
  variable
CPACK_RPM_GENERATE_USER_BINARY_SPECFILE_TEMPLATE
  variable
CPACK_RPM_NO_<COMPONENT>_INSTALL_PREFIX_RELOCATION
  variable
CPACK_RPM_NO_INSTALL_PREFIX_RELOCATION
  variable
CPACK_RPM_PACKAGE_ARCHITECTURE
  variable
CPACK_RPM_PACKAGE_AUTOPROV
  variable, [1]
CPACK_RPM_PACKAGE_AUTOREQ
  variable, [1]
CPACK_RPM_PACKAGE_AUTOREQPROV
  variable
CPACK_RPM_PACKAGE_CONFLICTS
  variable
CPACK_RPM_PACKAGE_DEBUG
  variable
CPACK_RPM_PACKAGE_DESCRIPTION
  variable
CPACK_RPM_PACKAGE_GROUP
  variable
CPACK_RPM_PACKAGE_LICENSE
  variable
CPACK_RPM_PACKAGE_NAME
  variable
CPACK_RPM_PACKAGE_OBSOLETES
  variable
CPACK_RPM_PACKAGE_PROVIDES
  variable
CPACK_RPM_PACKAGE_RELEASE
  variable
CPACK_RPM_PACKAGE_RELOCATABLE
  variable
CPACK_RPM_PACKAGE_REQUIRES
  variable
CPACK_RPM_PACKAGE_REQUIRES_POST
  variable, [1]
CPACK_RPM_PACKAGE_REQUIRES_POSTUN
  variable, [1]
CPACK_RPM_PACKAGE_REQUIRES_PRE
  variable, [1]
CPACK_RPM_PACKAGE_REQUIRES_PREUN
  variable, [1]
CPACK_RPM_PACKAGE_SUGGESTS
  variable
CPACK_RPM_PACKAGE_SUMMARY
  variable
CPACK_RPM_PACKAGE_URL
  variable
CPACK_RPM_PACKAGE_VENDOR
  variable
CPACK_RPM_PACKAGE_VERSION
  variable
CPACK_RPM_POST_INSTALL_SCRIPT_FILE
  variable
CPACK_RPM_POST_UNINSTALL_SCRIPT_FILE
  variable
CPACK_RPM_PRE_INSTALL_SCRIPT_FILE
  variable
CPACK_RPM_PRE_UNINSTALL_SCRIPT_FILE
  variable
CPACK_RPM_RELOCATION_PATHS
  variable, [1]
CPACK_RPM_SPEC_INSTALL_POST
  variable
CPACK_RPM_SPEC_MORE_DEFINE
  variable
CPACK_RPM_USER_BINARY_SPECFILE
  variable
CPACK_RPM_USER_FILELIST
  variable
CPACK_SET_DESTDIR
  variable
CPACK_SOURCE_GENERATOR
  variable
CPACK_SOURCE_IGNORE_FILES
  variable
CPACK_SOURCE_OUTPUT_CONFIG_FILE
  variable
CPACK_SOURCE_PACKAGE_FILE_NAME
  variable
CPACK_SOURCE_STRIP_FILES
  variable
CPACK_START_MENU_SHORTCUTS
  installed file property, [1]
CPACK_STARTUP_SHORTCUTS
  installed file property, [1]
CPACK_STRIP_FILES
  variable
CPACK_SYSTEM_NAME
  variable
CPACK_TOPLEVEL_TAG
  variable
CPACK_VERBATIM_VARIABLES
  variable
CPACK_WARN_ON_ABSOLUTE_INSTALL_DESTINATION
  variable
CPACK_WIX_<TOOL>_EXTENSIONS
  variable
CPACK_WIX_<TOOL>_EXTRA_FLAGS
  variable
CPACK_WIX_ACL
  installed file property, [1]
CPACK_WIX_CMAKE_PACKAGE_REGISTRY
  variable
CPACK_WIX_CULTURES
  variable
CPACK_WIX_EXTENSIONS
  variable
CPACK_WIX_EXTRA_OBJECTS
  variable
CPACK_WIX_EXTRA_SOURCES
  variable
CPACK_WIX_LICENSE_RTF
  variable
CPACK_WIX_PATCH_FILE
  variable
CPACK_WIX_PRODUCT_GUID
  variable
CPACK_WIX_PRODUCT_ICON
  variable
CPACK_WIX_PROGRAM_MENU_FOLDER
  variable
CPACK_WIX_PROPERTY_<PROPERTY>
  variable
CPACK_WIX_TEMPLATE
  variable
CPACK_WIX_UI_BANNER
  variable
CPACK_WIX_UI_DIALOG
  variable
CPACK_WIX_UI_REF
  variable
CPACK_WIX_UPGRADE_GUID
  variable
CPackBundle
  module
CPackComponent
  module
CPackCygwin
  module
CPackDeb
  module, [1], [2], [3], [4], [5], [6]
CPackDMG
  module
CPackIFW
  module, [1], [2]
CPackNSIS
  module
CPackPackageMaker
  module
CPackRPM
  module, [1], [2], [3], [4], [5], [6], [7], [8]
CPackWIX
  module
create_test_sourcelist
  command
CROSSCOMPILING_EMULATOR
  target property, [1], [2]
CTest
  module, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24], [25], [26], [27], [28], [29], [30], [31], [32], [33], [34], [35], [36], [37], [38], [39], [40], [41], [42], [43], [44], [45], [46], [47], [48], [49], [50], [51], [52], [53], [54], [55], [56], [57], [58]
ctest(1)
  manual, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24], [25], [26], [27], [28], [29], [30], [31], [32], [33], [34], [35], [36], [37], [38], [39], [40], [41], [42], [43], [44], [45], [46], [47], [48], [49], [50], [51], [52], [53], [54], [55], [56], [57], [58], [59], [60], [61], [62], [63], [64], [65], [66], [67], [68], [69], [70], [71], [72], [73], [74], [75], [76], [77], [78], [79], [80]
CTEST_BINARY_DIRECTORY
  variable, [1], [2], [3], [4], [5], [6], [7]
ctest_build
  command, [1], [2], [3]
CTEST_BUILD_COMMAND
  variable, [1], [2], [3]
CTEST_BUILD_NAME
  variable, [1]
CTEST_BZR_COMMAND
  variable, [1]
CTEST_BZR_UPDATE_OPTIONS
  variable, [1]
CTEST_CHANGE_ID
  variable
CTEST_CHECKOUT_COMMAND
  variable, [1], [2]
CTEST_CONFIGURATION_TYPE
  variable, [1]
ctest_configure
  command, [1]
CTEST_CONFIGURE_COMMAND
  variable, [1]
ctest_coverage
  command, [1], [2], [3], [4], [5], [6], [7], [8], [9]
CTEST_COVERAGE_COMMAND
  variable, [1], [2]
CTEST_COVERAGE_EXTRA_FLAGS
  variable, [1]
CTEST_CURL_OPTIONS
  variable, [1]
CTEST_CUSTOM_COVERAGE_EXCLUDE
  variable
CTEST_CUSTOM_ERROR_EXCEPTION
  variable
CTEST_CUSTOM_ERROR_MATCH
  variable
CTEST_CUSTOM_ERROR_POST_CONTEXT
  variable
CTEST_CUSTOM_ERROR_PRE_CONTEXT
  variable
CTEST_CUSTOM_MAXIMUM_FAILED_TEST_OUTPUT_SIZE
  variable, [1]
CTEST_CUSTOM_MAXIMUM_NUMBER_OF_ERRORS
  variable
CTEST_CUSTOM_MAXIMUM_NUMBER_OF_WARNINGS
  variable
CTEST_CUSTOM_MAXIMUM_PASSED_TEST_OUTPUT_SIZE
  variable, [1]
CTEST_CUSTOM_MEMCHECK_IGNORE
  variable
CTEST_CUSTOM_POST_MEMCHECK
  variable
CTEST_CUSTOM_POST_TEST
  variable
CTEST_CUSTOM_PRE_MEMCHECK
  variable
CTEST_CUSTOM_PRE_TEST
  variable
CTEST_CUSTOM_TEST_IGNORE
  variable
CTEST_CUSTOM_WARNING_EXCEPTION
  variable
CTEST_CUSTOM_WARNING_MATCH
  variable
CTEST_CVS_CHECKOUT
  variable, [1]
CTEST_CVS_COMMAND
  variable, [1]
CTEST_CVS_UPDATE_OPTIONS
  variable, [1]
CTEST_DROP_LOCATION
  variable, [1]
CTEST_DROP_METHOD
  variable, [1]
CTEST_DROP_SITE
  variable, [1]
CTEST_DROP_SITE_CDASH
  variable, [1]
CTEST_DROP_SITE_PASSWORD
  variable, [1]
CTEST_DROP_SITE_USER
  variable, [1]
ctest_empty_binary_directory
  command
CTEST_EXTRA_COVERAGE_GLOB
  variable
CTEST_GIT_COMMAND
  variable, [1]
CTEST_GIT_UPDATE_CUSTOM
  variable, [1]
CTEST_GIT_UPDATE_OPTIONS
  variable, [1]
CTEST_HG_COMMAND
  variable, [1]
CTEST_HG_UPDATE_OPTIONS
  variable, [1]
ctest_memcheck
  command, [1], [2], [3], [4], [5]
CTEST_MEMORYCHECK_COMMAND
  variable, [1]
CTEST_MEMORYCHECK_COMMAND_OPTIONS
  variable, [1]
CTEST_MEMORYCHECK_SANITIZER_OPTIONS
  variable, [1], [2]
CTEST_MEMORYCHECK_SUPPRESSIONS_FILE
  variable, [1]
CTEST_MEMORYCHECK_TYPE
  variable, [1]
CTEST_NIGHTLY_START_TIME
  variable, [1]
CTEST_P4_CLIENT
  variable, [1]
CTEST_P4_COMMAND
  variable, [1]
CTEST_P4_OPTIONS
  variable, [1]
CTEST_P4_UPDATE_OPTIONS
  variable, [1]
ctest_read_custom_files
  command, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18]
ctest_run_script
  command
CTEST_SCP_COMMAND
  variable, [1]
CTEST_SITE
  variable, [1]
ctest_sleep
  command
CTEST_SOURCE_DIRECTORY
  variable, [1], [2], [3], [4], [5]
ctest_start
  command, [1], [2], [3], [4], [5], [6]
ctest_submit
  command, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11]
CTEST_SVN_COMMAND
  variable, [1]
CTEST_SVN_OPTIONS
  variable, [1]
CTEST_SVN_UPDATE_OPTIONS
  variable, [1]
ctest_test
  command, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17]
CTEST_TEST_LOAD
  variable, [1], [2], [3]
CTEST_TEST_TIMEOUT
  variable, [1], [2]
CTEST_TRIGGER_SITE
  variable, [1]
ctest_update
  command, [1], [2]
CTEST_UPDATE_COMMAND
  variable, [1]
CTEST_UPDATE_OPTIONS
  variable, [1]
CTEST_UPDATE_VERSION_ONLY
  variable, [1]
ctest_upload
  command
CTEST_USE_LAUNCHERS
  variable, [1], [2]
CTestCoverageCollectGCOV
  module, [1], [2]
CTestScriptMode
  module
CTestUseLaunchers
  module, [1]
CXX_EXTENSIONS
  target property, [1], [2], [3], [4]
CXX_STANDARD
  target property, [1], [2], [3], [4], [5], [6], [7], [8], [9]
CXX_STANDARD_REQUIRED
  target property, [1], [2], [3]
CYGWIN
  variable, [1]

## D

Dart
  module
DEBUG_CONFIGURATIONS
  global property, [1], [2]
DEBUG_POSTFIX
  target property
define_property
  command, [1]
DEFINE_SYMBOL
  target property, [1]
DEFINITIONS
  directory property, [1], [2]

DEPENDS
  test property
DeployQt4
  module
directory property
  ADDITIONAL_MAKE_CLEAN_FILES, [1]
  CACHE_VARIABLES
  CLEAN_NO_CUSTOM
  CMAKE_CONFIGURE_DEPENDS, [1]
  COMPILE_DEFINITIONS, [1], [2], [3], [4], [5], [6], [7]
  COMPILE_DEFINITIONS_<CONFIG>, [1], [2], [3]
  COMPILE_OPTIONS, [1], [2], [3]
  DEFINITIONS, [1], [2]
  EXCLUDE_FROM_ALL
  IMPLICIT_DEPENDS_INCLUDE_TRANSFORM
  INCLUDE_DIRECTORIES, [1], [2]
  INCLUDE_REGULAR_EXPRESSION
  INTERPROCEDURAL_OPTIMIZATION
  INTERPROCEDURAL_OPTIMIZATION_<CONFIG>
  LINK_DIRECTORIES
  LISTFILE_STACK
  MACROS
  PARENT_DIRECTORY
  RULE_LAUNCH_COMPILE
  RULE_LAUNCH_CUSTOM
  RULE_LAUNCH_LINK
  TEST_INCLUDE_FILE
  VARIABLES
  VS_GLOBAL_SECTION_POST_<section>
  VS_GLOBAL_SECTION_PRE_<section>
DISABLED_FEATURES
  global property
Documentation
  module

## E

EchoString
  target property
Eclipse CDT4
  generator
ECLIPSE_EXTRA_NATURES
  global property
else
  command, [1]
elseif
  command, [1]
ENABLE_EXPORTS
  target property, [1], [2], [3], [4], [5], [6], [7], [8], [9]
enable_language
  command, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10]
enable_testing
  command, [1]
ENABLED_FEATURES
  global property
ENABLED_LANGUAGES
  global property, [1]
endforeach
  command, [1]
endfunction
  command, [1], [2]
endif
  command, [1]
endmacro
  command, [1], [2]
endwhile
  command, [1], [2], [3]
ENV
  variable
ENVIRONMENT
  test property
EXCLUDE_FROM_ALL
  directory property
  target property, [1], [2], [3], [4]
EXCLUDE_FROM_DEFAULT_BUILD
  target property
EXCLUDE_FROM_DEFAULT_BUILD_<CONFIG>
  target property
exec_program
  command, [1]
EXECUTABLE_OUTPUT_PATH
  variable
execute_process
  command, [1], [2], [3], [4]
export
  command, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22]
export_library_dependencies
  command, [1], [2]
EXPORT_NAME
  target property
EXTERNAL_OBJECT
  source file property
ExternalData
  module, [1], [2], [3], [4], [5], [6]

ExternalData_Add_Target
  command
ExternalData_Add_Test
  command
ExternalData_BINARY_ROOT
  variable
ExternalData_CUSTOM_ERROR
  variable
ExternalData_CUSTOM_FILE
  variable
ExternalData_CUSTOM_LOCATION
  variable
ExternalData_CUSTOM_SCRIPT_<key>
  variable
ExternalData_Expand_Arguments
  command
ExternalData_LINK_CONTENT
  variable
ExternalData_NO_SYMLINKS
  variable, [1]
ExternalData_OBJECT_STORES
  variable
ExternalData_SERIES_MATCH
  variable
ExternalData_SERIES_PARSE
  variable
ExternalData_SERIES_PARSE_NUMBER
  variable
ExternalData_SERIES_PARSE_PREFIX
  variable
ExternalData_SERIES_PARSE_SUFFIX
  variable
ExternalData_SOURCE_ROOT
  variable
ExternalData_TIMEOUT_ABSOLUTE
  variable
ExternalData_TIMEOUT_INACTIVITY
  variable
ExternalData_URL_ALGO_<algo>_<key>
  variable, [1]
ExternalData_URL_TEMPLATES
  variable
ExternalProject
  module, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15]
externalproject_add
  command, [1], [2], [3]
ExternalProject_Add
  command
ExternalProject_Add_Step
  command
ExternalProject_Add_StepDependencies
  command
ExternalProject_Add_StepTargets
  command
ExternalProject_Get_Property
  command

## F

FAIL_REGULAR_EXPRESSION
  test property, [1]
FeatureSummary
  module, [1], [2], [3]
file
  command, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21]
find_file
  command, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12]
find_library
  command, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19]
FIND_LIBRARY_USE_LIB64_PATHS
  global property, [1]
FIND_LIBRARY_USE_OPENBSD_VERSIONING
  global property
find_package
  command, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24], [25], [26], [27], [28], [29], [30], [31], [32], [33], [34], [35], [36], [37], [38], [39], [40], [41], [42], [43], [44], [45], [46], [47], [48], [49], [50], [51], [52], [53], [54], [55], [56], [57], [58], [59], [60], [61], [62], [63], [64], [65], [66]
find_package_handle_standard_args
  command
find_path
  command, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12]
find_program
  command, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12]
FindALSA
  module
FindArmadillo
  module
FindASPELL
  module
FindAVIFile
  module
FindBacktrace
  module, [1]
FindBISON
  module, [1]
FindBLAS
  module
FindBoost
  module, [1], [2], [3]
FindBullet
  module
FindBZip2
  module
FindCABLE
  module
FindCoin3D
  module
FindCUDA
  module, [1], [2], [3]
FindCups
  module
FindCURL
  module
FindCurses
  module
FindCVS
  module
FindCxxTest
  module
FindCygwin
  module
FindDart
  module
FindDCMTK
  module
FindDevIL
  module
FindDoxygen
  module
FindEXPAT
  module
FindFLEX
  module
FindFLTK
  module
FindFLTK2
  module
FindFreetype
  module
FindGCCXML
  module
FindGDAL
  module
FindGettext
  module, [1]
FindGIF
  module
FindGit
  module, [1]
FindGLEW
  module, [1]
FindGLUT
  module, [1]
FindGnuplot
  module
FindGnuTLS
  module
FindGSL
  module, [1]
FindGTest
  module, [1]
FindGTK
  module
FindGTK2
  module
FindHDF5
  module, [1]
FindHg
  module, [1]
FindHSPELL
  module
FindHTMLHelp
  module
FindIce
  module, [1]
FindIcotool
  module
FindImageMagick
  module
FindIntl
  module, [1], [2]
FindITK
  module, [1]
FindJasper
  module
FindJava
  module, [1], [2]
FindJNI
  module, [1]
FindJPEG
  module
FindKDE3
  module
FindKDE4
  module
FindLAPACK
  module
FindLATEX
  module, [1]
FindLibArchive
  module
FindLibLZMA
  module
FindLibXml2
  module
FindLibXslt
  module
FindLua
  module, [1]
FindLua50
  module
FindLua51
  module
FindMatlab
  module, [1]
FindMFC
  module
FindMotif
  module
FindMPEG
  module
FindMPEG2
  module
FindMPI
  module, [1]

FindOpenAL
  module
FindOpenCL
  module, [1]
FindOpenGL
  module, [1]
FindOpenMP
  module, [1]
FindOpenSceneGraph
  module
FindOpenSSL
  module, [1], [2], [3]
FindOpenThreads
  module
Findosg
  module
Findosg_functions
  module
FindosgAnimation
  module
FindosgDB
  module
FindosgFX
  module
FindosgGA
  module
FindosgIntrospection
  module
FindosgManipulator
  module
FindosgParticle
  module
FindosgPresentation
  module
FindosgProducer
  module
FindosgQt
  module
FindosgShadow
  module
FindosgSim
  module
FindosgTerrain
  module
FindosgText
  module
FindosgUtil
  module
FindosgViewer
  module
FindosgVolume
  module
FindosgWidget
  module
FindPackageHandleStandardArgs
  module, [1], [2], [3]
FindPackageMessage
  module
FindPerl
  module
FindPerlLibs
  module
FindPHP4
  module
FindPhysFS
  module
FindPike
  module
FindPkgConfig
  module, [1], [2], [3]
FindPNG
  module
FindPostgreSQL
  module
FindProducer
  module
FindProtobuf
  module, [1]
FindPythonInterp
  module
FindPythonLibs
  module
FindQt
  module
FindQt3
  module
FindQt4
  module, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10]
FindQuickTime
  module
FindRTI
  module
FindRuby
  module, [1]
FindSDL
  module
FindSDL_image
  module
FindSDL_mixer
  module
FindSDL_net
  module
FindSDL_sound
  module
FindSDL_ttf
  module
FindSelfPackers
  module
FindSquish
  module
FindSubversion
  module
FindSWIG
  module
FindTCL
  module
FindTclsh
  module
FindTclStub
  module
FindThreads
  module, [1]
FindTIFF
  module, [1]
FindUnixCommands
  module
FindVTK
  module, [1]
FindWget
  module
FindWish
  module
FindwxWidgets
  module, [1]
FindwxWindows
  module
FindX11
  module, [1]
FindXCTest
  module, [1], [2]
FindXercesC
  module, [1], [2]
FindXMLRPC
  module
FindZLIB
  module, [1], [2]
fltk_wrap_ui
  command
FOLDER
  target property, [1], [2], [3], [4], [5], [6]
foreach
  command, [1], [2], [3]
Fortran_FORMAT
  source file property
  target property, [1]
Fortran_MODULE_DIRECTORY
  target property, [1], [2], [3]
FortranCInterface
  module
FRAMEWORK
  target property, [1], [2], [3], [4]
FRAMEWORK_VERSION
  target property, [1]
function
  command, [1], [2], [3], [4], [5], [6]

## G

GENERATED
  source file property, [1], [2], [3], [4]
GenerateExportHeader
  module, [1], [2]
generator
  Borland Makefiles
  CodeBlocks
  CodeLite, [1]
  Eclipse CDT4
  Green Hills MULTI, [1], [2], [3]
  KDevelop3
  Kate, [1]
  MSYS Makefiles, [1]
  MinGW Makefiles, [1], [2], [3], [4], [5], [6]
  NMake Makefiles, [1], [2], [3], [4], [5], [6], [7], [8]
  NMake Makefiles JOM
  Ninja, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24], [25], [26], [27], [28], [29]
  Sublime Text 2
  Unix Makefiles, [1], [2], [3], [4], [5], [6], [7], [8]
  Visual Studio 10 2010, [1], [2], [3], [4]
  Visual Studio 11 2012, [1]
  Visual Studio 12 2013, [1]
  Visual Studio 14 2015, [1], [2]
  Visual Studio 6, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10]
  Visual Studio 7, [1], [2], [3]
  Visual Studio 7 .NET 2003
  Visual Studio 8 2005
  Visual Studio 9 2008
  Watcom WMake
  Xcode, [1], [2], [3], [4], [5], [6], [7], [8], [9]
GENERATOR_FILE_NAME
  target property
get_cmake_property
  command
get_directory_property
  command
get_filename_component
  command, [1], [2]
get_property
  command, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12]
get_source_file_property
  command
get_target_property
  command, [1], [2], [3]
get_test_property
  command
GetPrerequisites
  module
GHS-MULTI
  variable
global property
  ALLOW_DUPLICATE_CUSTOM_TARGETS
  AUTOGEN_TARGETS_FOLDER, [1], [2], [3], [4]
  AUTOMOC_TARGETS_FOLDER
  CMAKE_CXX_KNOWN_FEATURES, [1], [2], [3], [4], [5]
  CMAKE_C_KNOWN_FEATURES, [1], [2], [3]
  DEBUG_CONFIGURATIONS, [1], [2]
  DISABLED_FEATURES
  ECLIPSE_EXTRA_NATURES
  ENABLED_FEATURES
  ENABLED_LANGUAGES, [1]
  FIND_LIBRARY_USE_LIB64_PATHS, [1]
  FIND_LIBRARY_USE_OPENBSD_VERSIONING
  GLOBAL_DEPENDS_DEBUG_MODE
  GLOBAL_DEPENDS_NO_CYCLES
  IN_TRY_COMPILE
  JOB_POOLS, [1], [2], [3], [4], [5], [6], [7], [8]
  PACKAGES_FOUND
  PACKAGES_NOT_FOUND
  PREDEFINED_TARGETS_FOLDER
  REPORT_UNDEFINED_PROPERTIES
  RULE_LAUNCH_COMPILE
  RULE_LAUNCH_CUSTOM
  RULE_LAUNCH_LINK
  RULE_MESSAGES, [1]
  TARGET_ARCHIVES_MAY_BE_SHARED_LIBS
  TARGET_MESSAGES, [1]
  TARGET_SUPPORTS_SHARED_LIBS
  USE_FOLDERS
GLOBAL_DEPENDS_DEBUG_MODE
  global property
GLOBAL_DEPENDS_NO_CYCLES
  global property

GNUInstallDirs
  module, [1], [2]
GNUtoMS
  target property, [1]
GRAPHVIZ_EXECUTABLES
  variable
GRAPHVIZ_EXTERNAL_LIBS
  variable
GRAPHVIZ_GENERATE_DEPENDERS
  variable
GRAPHVIZ_GENERATE_PER_TARGET
  variable
GRAPHVIZ_GRAPH_HEADER
  variable
GRAPHVIZ_GRAPH_NAME
  variable
GRAPHVIZ_GRAPH_TYPE
  variable
GRAPHVIZ_IGNORE_TARGETS
  variable
GRAPHVIZ_MODULE_LIBS
  variable
GRAPHVIZ_NODE_PREFIX
  variable
GRAPHVIZ_SHARED_LIBS
  variable
GRAPHVIZ_STATIC_LIBS
  variable
Green Hills MULTI
  generator, [1], [2], [3]

## H

HAS_CXX
  target property
HEADER_FILE_ONLY
  source file property

HELPSTRING
  cache property

## I

if
  command, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24]
IMPLICIT_DEPENDS_INCLUDE_TRANSFORM
  directory property
  target property
IMPORT_PREFIX
  target property
IMPORT_SUFFIX
  target property
IMPORTED
  target property, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24], [25], [26], [27], [28], [29], [30], [31], [32], [33], [34], [35], [36], [37], [38], [39], [40]
IMPORTED_CONFIGURATIONS
  target property, [1]
IMPORTED_IMPLIB
  target property
IMPORTED_IMPLIB_<CONFIG>
  target property
IMPORTED_LINK_DEPENDENT_LIBRARIES
  target property
IMPORTED_LINK_DEPENDENT_LIBRARIES_<CONFIG>
  target property
IMPORTED_LINK_INTERFACE_LANGUAGES
  target property
IMPORTED_LINK_INTERFACE_LANGUAGES_<CONFIG>
  target property
IMPORTED_LINK_INTERFACE_LIBRARIES
  target property
IMPORTED_LINK_INTERFACE_LIBRARIES_<CONFIG>
  target property
IMPORTED_LINK_INTERFACE_MULTIPLICITY
  target property
IMPORTED_LINK_INTERFACE_MULTIPLICITY_<CONFIG>
  target property
IMPORTED_LOCATION
  target property, [1], [2], [3], [4]
IMPORTED_LOCATION_<CONFIG>
  target property, [1], [2]
IMPORTED_NO_SONAME
  target property, [1]
IMPORTED_NO_SONAME_<CONFIG>
  target property
IMPORTED_SONAME
  target property
IMPORTED_SONAME_<CONFIG>
  target property
IN_TRY_COMPILE
  global property
include
  command, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10]
INCLUDE_DIRECTORIES
  directory property, [1], [2]
  target property, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15]

include_directories
  command, [1], [2], [3], [4], [5], [6], [7], [8], [9]
include_external_msproject
  command, [1]
include_regular_expression
  command, [1]
INCLUDE_REGULAR_EXPRESSION
  directory property
install
  command, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24], [25], [26], [27], [28], [29], [30], [31], [32], [33], [34], [35], [36], [37], [38], [39], [40], [41], [42], [43], [44], [45], [46], [47], [48]
install_files
  command, [1], [2]
INSTALL_NAME_DIR
  target property, [1], [2], [3]
install_programs
  command, [1], [2]
INSTALL_RPATH
  target property, [1], [2], [3]
INSTALL_RPATH_USE_LINK_PATH
  target property, [1]
install_targets
  command, [1], [2]
installed file property
  CPACK_DESKTOP_SHORTCUTS, [1]
  CPACK_NEVER_OVERWRITE
  CPACK_PERMANENT
  CPACK_STARTUP_SHORTCUTS, [1]
  CPACK_START_MENU_SHORTCUTS, [1]
  CPACK_WIX_ACL, [1]
InstallRequiredSystemLibraries
  module, [1], [2]
INTERFACE_AUTOUIC_OPTIONS
  target property, [1], [2]
INTERFACE_COMPILE_DEFINITIONS
  target property, [1], [2], [3], [4], [5], [6]
INTERFACE_COMPILE_FEATURES
  target property, [1]
INTERFACE_COMPILE_OPTIONS
  target property, [1], [2], [3], [4], [5]
INTERFACE_INCLUDE_DIRECTORIES
  target property, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24], [25], [26], [27], [28], [29]
INTERFACE_LINK_LIBRARIES
  target property, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19]
INTERFACE_POSITION_INDEPENDENT_CODE
  target property, [1], [2], [3], [4]
INTERFACE_SOURCES
  target property, [1], [2], [3], [4], [5]
INTERFACE_SYSTEM_INCLUDE_DIRECTORIES
  target property, [1], [2]
INTERPROCEDURAL_OPTIMIZATION
  directory property
  target property
INTERPROCEDURAL_OPTIMIZATION_<CONFIG>
  directory property
  target property

## J

JOB_POOL_COMPILE
  target property, [1], [2], [3]
JOB_POOL_LINK
  target property, [1], [2], [3]

JOB_POOLS
  global property, [1], [2], [3], [4], [5], [6], [7], [8]

## K

Kate
  generator, [1]
KDevelop3
  generator

KEEP_EXTENSION
  source file property

## L

LABELS
  source file property
  target property
  test property
LANGUAGE
  source file property, [1], [2]
LIBRARY_OUTPUT_DIRECTORY
  target property, [1], [2], [3], [4], [5], [6]
LIBRARY_OUTPUT_DIRECTORY_<CONFIG>
  target property, [1], [2]
LIBRARY_OUTPUT_NAME
  target property, [1], [2], [3]
LIBRARY_OUTPUT_NAME_<CONFIG>
  target property, [1], [2]
LIBRARY_OUTPUT_PATH
  variable
LINK_DEPENDS
  target property
LINK_DEPENDS_NO_SHARED
  target property, [1]
LINK_DIRECTORIES
  directory property
link_directories
  command
LINK_FLAGS
  target property
LINK_FLAGS_<CONFIG>
  target property
LINK_INTERFACE_LIBRARIES
  target property, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10]

LINK_INTERFACE_LIBRARIES_<CONFIG>
  target property, [1], [2]
LINK_INTERFACE_MULTIPLICITY
  target property, [1]
LINK_INTERFACE_MULTIPLICITY_<CONFIG>
  target property
LINK_LIBRARIES
  target property, [1], [2]
link_libraries
  command
LINK_SEARCH_END_STATIC
  target property, [1], [2], [3]
LINK_SEARCH_START_STATIC
  target property, [1], [2]
LINKER_LANGUAGE
  target property, [1], [2]
list
  command, [1], [2], [3], [4], [5], [6]
LISTFILE_STACK
  directory property
load_cache
  command
load_command
  command, [1], [2]
LOCATION
  source file property, [1]
  target property, [1], [2], [3]
LOCATION_<CONFIG>
  target property

## M

MACOSX_BUNDLE
  target property, [1], [2], [3], [4]
MACOSX_BUNDLE_INFO_PLIST
  target property
MACOSX_FRAMEWORK_INFO_PLIST
  target property
MACOSX_PACKAGE_LOCATION
  source file property
MACOSX_RPATH
  target property, [1], [2], [3], [4]
macro
  command, [1], [2], [3], [4]
MacroAddFileDependencies
  module
MACROS
  directory property
make_directory
  command
manual
  ccmake(1), [1], [2], [3], [4], [5]
  cmake(1), [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24], [25], [26], [27], [28], [29], [30], [31], [32], [33], [34], [35], [36], [37], [38], [39], [40], [41], [42], [43], [44], [45], [46], [47], [48], [49], [50]
  cmake-buildsystem(7), [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24], [25], [26], [27], [28], [29], [30], [31], [32]
  cmake-commands(7), [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11]
  cmake-compile-features(7), [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24], [25]
  cmake-developer(7), [1], [2], [3]
  cmake-generator-expressions(7), [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24], [25], [26], [27], [28], [29], [30], [31], [32], [33], [34], [35], [36], [37], [38], [39], [40], [41], [42], [43], [44], [45], [46], [47], [48], [49], [50], [51], [52], [53], [54], [55], [56], [57], [58], [59], [60], [61], [62], [63], [64], [65], [66], [67], [68], [69], [70], [71], [72], [73], [74], [75], [76], [77], [78], [79], [80], [81], [82], [83], [84], [85], [86], [87], [88], [89], [90], [91]
  cmake-generators(7), [1], [2], [3], [4], [5], [6]
  cmake-gui(1), [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15]
  cmake-language(7), [1], [2], [3], [4], [5], [6], [7]
  cmake-modules(7), [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14]
  cmake-packages(7), [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14]
  cmake-policies(7), [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24], [25], [26], [27], [28], [29], [30], [31], [32], [33], [34], [35], [36], [37], [38], [39], [40], [41], [42], [43], [44], [45], [46], [47], [48], [49], [50], [51], [52], [53], [54], [55], [56], [57], [58], [59], [60], [61], [62], [63], [64], [65], [66], [67], [68], [69], [70], [71], [72], [73], [74], [75], [76], [77], [78], [79], [80]
  cmake-properties(7), [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14]
  cmake-qt(7), [1], [2], [3], [4], [5], [6], [7], [8], [9], [10]
  cmake-toolchains(7), [1]
  cmake-variables(7), [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13]
  cpack(1), [1], [2], [3], [4], [5]
  ctest(1), [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24], [25], [26], [27], [28], [29], [30], [31], [32], [33], [34], [35], [36], [37], [38], [39], [40], [41], [42], [43], [44], [45], [46], [47], [48], [49], [50], [51], [52], [53], [54], [55], [56], [57], [58], [59], [60], [61], [62], [63], [64], [65], [66], [67], [68], [69], [70], [71], [72], [73], [74], [75], [76], [77], [78], [79], [80]
MAP_IMPORTED_CONFIG_<CONFIG>
  target property, [1], [2], [3], [4], [5]
mark_as_advanced
  command
math
  command
matlab_add_mex
  command, [1], [2]
matlab_add_unit_test
  command, [1], [2]
MATLAB_ADDITIONAL_VERSIONS
  variable, [1], [2]
matlab_extract_all_installed_versions_from_registry
  command, [1]
MATLAB_FIND_DEBUG
  variable, [1], [2]
matlab_get_all_valid_matlab_roots_from_registry
  command, [1]
matlab_get_mex_suffix
  command, [1]
matlab_get_release_name_from_version
  command, [1], [2]
matlab_get_version_from_matlab_run
  command, [1]

matlab_get_version_from_release_name
  command, [1], [2]
Matlab_ROOT_DIR
  variable, [1], [2]
MEASUREMENT
  test property
message
  command, [1], [2]
MINGW
  variable
MinGW Makefiles
  generator, [1], [2], [3], [4], [5], [6]
MODIFIED
  cache property
module
  AddFileDependencies
  BundleUtilities, [1]
  CMakeAddFortranSubdirectory
  CMakeBackwardCompatibilityCXX
  CMakeDependentOption, [1]
  CMakeDetermineVSServicePack, [1]
  CMakeExpandImportedTargets, [1]
  CMakeFindDependencyMacro, [1], [2]
  CMakeFindFrameworks
  CMakeFindPackageMode
  CMakeForceCompiler, [1]
  CMakeGraphVizOptions
  CMakePackageConfigHelpers, [1], [2], [3]
  CMakeParseArguments
  CMakePrintHelpers
  CMakePrintSystemInformation
  CMakePushCheckState
  CMakeVerifyManifest
  CPack, [1], [2], [3]
  CPackBundle
  CPackComponent
  CPackCygwin
  CPackDMG
  CPackDeb, [1], [2], [3], [4], [5], [6]
  CPackIFW, [1], [2]
  CPackNSIS
  CPackPackageMaker
  CPackRPM, [1], [2], [3], [4], [5], [6], [7], [8]
  CPackWIX
  CTest, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24], [25], [26], [27], [28], [29], [30], [31], [32], [33], [34], [35], [36], [37], [38], [39], [40], [41], [42], [43], [44], [45], [46], [47], [48], [49], [50], [51], [52], [53], [54], [55], [56], [57], [58]
  CTestCoverageCollectGCOV, [1], [2]
  CTestScriptMode
  CTestUseLaunchers, [1]
  CheckCCompilerFlag, [1]
  CheckCSourceCompiles
  CheckCSourceRuns
  CheckCXXCompilerFlag, [1]
  CheckCXXSourceCompiles, [1]
  CheckCXXSourceRuns
  CheckCXXSymbolExists, [1]
  CheckFortranCompilerFlag, [1]
  CheckFortranFunctionExists
  CheckFortranSourceCompiles, [1]
  CheckFunctionExists, [1]
  CheckIncludeFile, [1], [2], [3]
  CheckIncludeFileCXX, [1], [2]
  CheckIncludeFiles, [1], [2]
  CheckLanguage
  CheckLibraryExists, [1]
  CheckPrototypeDefinition
  CheckStructHasMember, [1]
  CheckSymbolExists, [1]
  CheckTypeSize, [1]
  CheckVariableExists
  Dart
  DeployQt4
  Documentation
  ExternalData, [1], [2], [3], [4], [5], [6]
  ExternalProject, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15]
  FeatureSummary, [1], [2], [3]
  FindALSA
  FindASPELL
  FindAVIFile
  FindArmadillo
  FindBISON, [1]
  FindBLAS
  FindBZip2
  FindBacktrace, [1]
  FindBoost, [1], [2], [3]
  FindBullet
  FindCABLE
  FindCUDA, [1], [2], [3]
  FindCURL
  FindCVS
  FindCoin3D
  FindCups
  FindCurses
  FindCxxTest
  FindCygwin
  FindDCMTK
  FindDart
  FindDevIL
  FindDoxygen
  FindEXPAT
  FindFLEX
  FindFLTK
  FindFLTK2
  FindFreetype
  FindGCCXML
  FindGDAL
  FindGIF
  FindGLEW, [1]
  FindGLUT, [1]
  FindGSL, [1]
  FindGTK
  FindGTK2
  FindGTest, [1]
  FindGettext, [1]
  FindGit, [1]
  FindGnuTLS
  FindGnuplot
  FindHDF5, [1]
  FindHSPELL
  FindHTMLHelp
  FindHg, [1]
  FindITK, [1]
  FindIce, [1]
  FindIcotool
  FindImageMagick
  FindIntl, [1], [2]
  FindJNI, [1]
  FindJPEG
  FindJasper
  FindJava, [1], [2]
  FindKDE3
  FindKDE4
  FindLAPACK
  FindLATEX, [1]
  FindLibArchive
  FindLibLZMA
  FindLibXml2
  FindLibXslt
  FindLua, [1]
  FindLua50
  FindLua51
  FindMFC
  FindMPEG
  FindMPEG2
  FindMPI, [1]
  FindMatlab, [1]
  FindMotif
  FindOpenAL
  FindOpenCL, [1]
  FindOpenGL, [1]
  FindOpenMP, [1]
  FindOpenSSL, [1], [2], [3]
  FindOpenSceneGraph
  FindOpenThreads
  FindPHP4
  FindPNG
  FindPackageHandleStandardArgs, [1], [2], [3]
  FindPackageMessage
  FindPerl
  FindPerlLibs
  FindPhysFS
  FindPike
  FindPkgConfig, [1], [2], [3]
  FindPostgreSQL
  FindProducer
  FindProtobuf, [1]
  FindPythonInterp
  FindPythonLibs
  FindQt
  FindQt3
  FindQt4, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10]
  FindQuickTime
  FindRTI
  FindRuby, [1]
  FindSDL
  FindSDL_image
  FindSDL_mixer
  FindSDL_net
  FindSDL_sound
  FindSDL_ttf
  FindSWIG
  FindSelfPackers
  FindSquish
  FindSubversion
  FindTCL
  FindTIFF, [1]
  FindTclStub
  FindTclsh
  FindThreads, [1]
  FindUnixCommands
  FindVTK, [1]
  FindWget
  FindWish
  FindX11, [1]
  FindXCTest, [1], [2]
  FindXMLRPC
  FindXercesC, [1], [2]
  FindZLIB, [1], [2]
  Findosg
  FindosgAnimation
  FindosgDB
  FindosgFX
  FindosgGA
  FindosgIntrospection
  FindosgManipulator
  FindosgParticle
  FindosgPresentation
  FindosgProducer
  FindosgQt
  FindosgShadow
  FindosgSim
  FindosgTerrain
  FindosgText
  FindosgUtil
  FindosgViewer
  FindosgVolume
  FindosgWidget
  Findosg_functions
  FindwxWidgets, [1]
  FindwxWindows
  FortranCInterface
  GNUInstallDirs, [1], [2]
  GenerateExportHeader, [1], [2]
  GetPrerequisites
  InstallRequiredSystemLibraries, [1], [2]
  MacroAddFileDependencies
  ProcessorCount, [1]
  SelectLibraryConfigurations
  SquishTestScript
  TestBigEndian
  TestCXXAcceptsFlag
  TestForANSIForScope
  TestForANSIStreamHeaders
  TestForSSTREAM
  TestForSTDNamespace
  UseEcos
  UseJava, [1], [2], [3], [4]
  UseJavaClassFilelist
  UseJavaSymlinks
  UsePkgConfig
  UseSWIG, [1]
  Use_wxWindows
  UsewxWidgets
  WriteBasicConfigVersionFile
  WriteCompilerDetectionHeader, [1], [2], [3], [4]
MSVC
  variable
MSVC10
  variable
MSVC11
  variable
MSVC12
  variable
MSVC14
  variable
MSVC60
  variable
MSVC70
  variable
MSVC71
  variable
MSVC80
  variable
MSVC90
  variable
MSVC_IDE
  variable
MSVC_VERSION
  variable
MSYS Makefiles
  generator, [1]

## N

NAME
  target property
Ninja
  generator, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24], [25], [26], [27], [28], [29]
NMake Makefiles
  generator, [1], [2], [3], [4], [5], [6], [7], [8]

NMake Makefiles JOM
  generator
NO_SONAME
  target property
NO_SYSTEM_FROM_IMPORTED
  target property, [1], [2], [3]

## O

OBJECT_DEPENDS
  source file property, [1]
OBJECT_OUTPUTS
  source file property
option
  command, [1]
OSX_ARCHITECTURES
  target property, [1], [2]

OSX_ARCHITECTURES_<CONFIG>
  target property, [1]
OUTPUT_NAME
  target property, [1], [2], [3], [4], [5], [6], [7], [8], [9]
OUTPUT_NAME_<CONFIG>
  target property, [1], [2], [3], [4], [5], [6]
output_required_files
  command, [1], [2]

## P

PACKAGES_FOUND
  global property
PACKAGES_NOT_FOUND
  global property
PARENT_DIRECTORY
  directory property
PASS_REGULAR_EXPRESSION
  test property, [1]
PDB_NAME
  target property, [1], [2], [3], [4], [5]
PDB_NAME_<CONFIG>
  target property, [1], [2], [3]
PDB_OUTPUT_DIRECTORY
  target property, [1], [2], [3], [4], [5], [6]
PDB_OUTPUT_DIRECTORY_<CONFIG>
  target property, [1], [2], [3], [4]
pkg_check_modules
  command, [1], [2], [3]
PKG_CONFIG_EXECUTABLE
  variable, [1]
PKG_CONFIG_USE_CMAKE_PREFIX_PATH
  variable, [1]
pkg_get_variable
  command, [1]
pkg_search_module
  command, [1], [2]
policy
  CMP0000, [1], [2]
  CMP0001, [1]
  CMP0002
  CMP0003, [1], [2], [3]
  CMP0004, [1]
  CMP0005
  CMP0006
  CMP0007
  CMP0008
  CMP0009, [1], [2]
  CMP0010, [1]
  CMP0011, [1]
  CMP0012
  CMP0013
  CMP0014
  CMP0015, [1]
  CMP0016
  CMP0017, [1]
  CMP0018
  CMP0019
  CMP0020
  CMP0021
  CMP0022, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10]
  CMP0023
  CMP0024, [1]
  CMP0025, [1], [2]
  CMP0026, [1]
  CMP0027, [1]
  CMP0028, [1], [2], [3]
  CMP0029, [1], [2]
  CMP0030, [1], [2]
  CMP0031, [1], [2]
  CMP0032, [1], [2]
  CMP0033, [1], [2]
  CMP0034, [1], [2]
  CMP0035, [1], [2]
  CMP0036, [1], [2]
  CMP0037, [1]
  CMP0038, [1]
  CMP0039, [1]
  CMP0040, [1]
  CMP0041, [1], [2]
  CMP0042, [1]
  CMP0043, [1], [2], [3], [4]
  CMP0044, [1]
  CMP0045, [1]
  CMP0046, [1]
  CMP0047, [1], [2]
  CMP0048, [1], [2], [3]
  CMP0049, [1]
  CMP0050, [1]
  CMP0051, [1]
  CMP0052, [1]
  CMP0053, [1], [2], [3], [4]
  CMP0054, [1], [2]
  CMP0055, [1]
  CMP0056, [1], [2], [3]
  CMP0057
  CMP0058, [1]
  CMP0059, [1], [2]
  CMP0060, [1], [2], [3]
  CMP0061, [1], [2]
  CMP0062, [1]
  CMP0063, [1], [2], [3]
  CMP0064, [1]
  CMP0065, [1], [2], [3]
POSITION_INDEPENDENT_CODE
  target property, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15]
POST_INSTALL_SCRIPT
  target property, [1]
PRE_INSTALL_SCRIPT
  target property, [1]
PREDEFINED_TARGETS_FOLDER
  global property

PREFIX
  target property
PRIVATE_HEADER
  target property, [1]
ProcessorCount
  module, [1]
PROCESSORS
  test property
project
  command, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24], [25], [26], [27], [28], [29], [30], [31], [32], [33], [34], [35], [36], [37], [38], [39], [40], [41], [42], [43]
PROJECT_BINARY_DIR
  variable, [1], [2]
PROJECT_LABEL
  target property
PROJECT_NAME
  variable, [1], [2]
PROJECT_SOURCE_DIR
  variable, [1], [2], [3]
PROJECT_VERSION
  variable, [1], [2], [3], [4], [5], [6], [7]
PROJECT_VERSION_MAJOR
  variable, [1], [2]
PROJECT_VERSION_MINOR
  variable, [1], [2]
PROJECT_VERSION_PATCH
  variable, [1], [2]
PROJECT_VERSION_TWEAK
  variable, [1], [2]
protobuf_generate_cpp
  command
protobuf_generate_python
  command, [1]
PUBLIC_HEADER
  target property, [1]

## Q

qt_wrap_cpp
  command

qt_wrap_ui
  command

## R

remove
  command
remove_definitions
  command
REPORT_UNDEFINED_PROPERTIES
  global property
REQUIRED_FILES
  test property, [1]
RESOURCE
  target property, [1]
RESOURCE_LOCK
  test property
return
  command
RULE_LAUNCH_COMPILE
  directory property
  global property
  target property

RULE_LAUNCH_CUSTOM
  directory property
  global property
  target property
RULE_LAUNCH_LINK
  directory property
  global property
  target property
RULE_MESSAGES
  global property, [1]
RUN_SERIAL
  test property
RUNTIME_OUTPUT_DIRECTORY
  target property, [1], [2], [3], [4], [5], [6], [7], [8]
RUNTIME_OUTPUT_DIRECTORY_<CONFIG>
  target property, [1], [2]
RUNTIME_OUTPUT_NAME
  target property, [1], [2], [3]
RUNTIME_OUTPUT_NAME_<CONFIG>
  target property, [1], [2]

## S

SelectLibraryConfigurations
  module
separate_arguments
  command
set
  command, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14]
set_directory_properties
  command
set_property
  command, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10]
set_source_files_properties
  command, [1]
set_target_properties
  command, [1], [2], [3]
set_tests_properties
  command
site_name
  command, [1]
SKIP_BUILD_RPATH
  target property
SKIP_RETURN_CODE
  test property, [1]
source file property
  ABSTRACT
  AUTORCC_OPTIONS, [1], [2], [3]
  AUTOUIC_OPTIONS, [1], [2], [3]
  COMPILE_DEFINITIONS, [1]
  COMPILE_DEFINITIONS_<CONFIG>
  COMPILE_FLAGS
  EXTERNAL_OBJECT
  Fortran_FORMAT
  GENERATED, [1], [2], [3], [4]
  HEADER_FILE_ONLY
  KEEP_EXTENSION
  LABELS
  LANGUAGE, [1], [2]
  LOCATION, [1]
  MACOSX_PACKAGE_LOCATION
  OBJECT_DEPENDS, [1]
  OBJECT_OUTPUTS
  SYMBOLIC, [1]
  VS_DEPLOYMENT_CONTENT, [1], [2]
  VS_DEPLOYMENT_LOCATION, [1]
  VS_SHADER_ENTRYPOINT, [1]
  VS_SHADER_FLAGS, [1]
  VS_SHADER_MODEL, [1]
  VS_SHADER_TYPE, [1]
  VS_XAML_TYPE
  WRAP_EXCLUDE
  XCODE_EXPLICIT_FILE_TYPE, [1], [2]
  XCODE_LAST_KNOWN_FILE_TYPE, [1], [2]
SOURCE_DIR
  target property, [1]

source_group
  command
SOURCES
  target property, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10]
SOVERSION
  target property, [1]
SquishTestScript
  module
STATIC_LIBRARY_FLAGS
  target property
STATIC_LIBRARY_FLAGS_<CONFIG>
  target property
string
  command, [1], [2], [3], [4], [5], [6], [7], [8]
STRINGS
  cache property, [1], [2]
subdir_depends
  command, [1], [2]
subdirs
  command
Sublime Text 2
  generator
SUFFIX
  target property
SYMBOLIC
  source file property, [1]

## T

target property
  <CONFIG>_OUTPUT_NAME
  <CONFIG>_POSTFIX, [1]
  <LANG>_COMPILER_LAUNCHER, [1], [2]
  <LANG>_INCLUDE_WHAT_YOU_USE, [1], [2]
  <LANG>_VISIBILITY_PRESET, [1], [2], [3], [4], [5], [6], [7]
  ALIASED_TARGET, [1]
  ANDROID_ANT_ADDITIONAL_OPTIONS, [1], [2], [3]
  ANDROID_API, [1], [2]
  ANDROID_API_MIN, [1], [2], [3]
  ANDROID_ARCH, [1], [2], [3]
  ANDROID_ASSETS_DIRECTORIES, [1], [2], [3]
  ANDROID_GUI, [1], [2]
  ANDROID_JAR_DEPENDENCIES, [1], [2], [3]
  ANDROID_JAR_DIRECTORIES, [1], [2], [3]
  ANDROID_JAVA_SOURCE_DIR, [1], [2], [3]
  ANDROID_NATIVE_LIB_DEPENDENCIES, [1], [2], [3]
  ANDROID_NATIVE_LIB_DIRECTORIES, [1], [2], [3]
  ANDROID_PROCESS_MAX, [1], [2], [3]
  ANDROID_PROGUARD, [1], [2], [3]
  ANDROID_PROGUARD_CONFIG_PATH, [1], [2], [3]
  ANDROID_SECURE_PROPS_PATH, [1], [2], [3]
  ANDROID_SKIP_ANT_STEP, [1], [2], [3]
  ANDROID_STL_TYPE, [1], [2], [3]
  ARCHIVE_OUTPUT_DIRECTORY, [1], [2], [3], [4], [5], [6]
  ARCHIVE_OUTPUT_DIRECTORY_<CONFIG>, [1], [2]
  ARCHIVE_OUTPUT_NAME, [1], [2], [3]
  ARCHIVE_OUTPUT_NAME_<CONFIG>, [1], [2]
  AUTOGEN_TARGET_DEPENDS, [1]
  AUTOMOC, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12]
  AUTOMOC_MOC_OPTIONS, [1], [2], [3]
  AUTORCC, [1], [2], [3], [4], [5], [6], [7]
  AUTORCC_OPTIONS, [1], [2], [3], [4]
  AUTOUIC, [1], [2], [3], [4], [5], [6], [7], [8]
  AUTOUIC_OPTIONS, [1], [2], [3], [4], [5], [6], [7]
  BINARY_DIR, [1]
  BUILD_WITH_INSTALL_RPATH
  BUNDLE, [1]
  BUNDLE_EXTENSION
  COMPATIBLE_INTERFACE_BOOL, [1], [2]
  COMPATIBLE_INTERFACE_NUMBER_MAX, [1], [2], [3]
  COMPATIBLE_INTERFACE_NUMBER_MIN, [1], [2], [3]
  COMPATIBLE_INTERFACE_STRING, [1], [2], [3], [4]
  COMPILE_DEFINITIONS, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14]
  COMPILE_DEFINITIONS_<CONFIG>, [1], [2], [3], [4], [5], [6]
  COMPILE_FEATURES, [1], [2], [3], [4], [5]
  COMPILE_FLAGS, [1]
  COMPILE_OPTIONS, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11]
  COMPILE_PDB_NAME, [1], [2], [3], [4]
  COMPILE_PDB_NAME_<CONFIG>, [1], [2]
  COMPILE_PDB_OUTPUT_DIRECTORY, [1], [2], [3], [4], [5]
  COMPILE_PDB_OUTPUT_DIRECTORY_<CONFIG>, [1], [2], [3]
  CROSSCOMPILING_EMULATOR, [1], [2]
  CXX_EXTENSIONS, [1], [2], [3], [4]
  CXX_STANDARD, [1], [2], [3], [4], [5], [6], [7], [8], [9]
  CXX_STANDARD_REQUIRED, [1], [2], [3]
  C_EXTENSIONS, [1], [2], [3]
  C_STANDARD, [1], [2], [3], [4], [5], [6], [7]
  C_STANDARD_REQUIRED, [1], [2], [3]
  DEBUG_POSTFIX
  DEFINE_SYMBOL, [1]
  ENABLE_EXPORTS, [1], [2], [3], [4], [5], [6], [7], [8], [9]
  EXCLUDE_FROM_ALL, [1], [2], [3], [4]
  EXCLUDE_FROM_DEFAULT_BUILD
  EXCLUDE_FROM_DEFAULT_BUILD_<CONFIG>
  EXPORT_NAME
  EchoString
  FOLDER, [1], [2], [3], [4], [5], [6]
  FRAMEWORK, [1], [2], [3], [4]
  FRAMEWORK_VERSION, [1]
  Fortran_FORMAT, [1]
  Fortran_MODULE_DIRECTORY, [1], [2], [3]
  GENERATOR_FILE_NAME
  GNUtoMS, [1]
  HAS_CXX
  IMPLICIT_DEPENDS_INCLUDE_TRANSFORM
  IMPORTED, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24], [25], [26], [27], [28], [29], [30], [31], [32], [33], [34], [35], [36], [37], [38], [39], [40]
  IMPORTED_CONFIGURATIONS, [1]
  IMPORTED_IMPLIB
  IMPORTED_IMPLIB_<CONFIG>
  IMPORTED_LINK_DEPENDENT_LIBRARIES
  IMPORTED_LINK_DEPENDENT_LIBRARIES_<CONFIG>
  IMPORTED_LINK_INTERFACE_LANGUAGES
  IMPORTED_LINK_INTERFACE_LANGUAGES_<CONFIG>
  IMPORTED_LINK_INTERFACE_LIBRARIES
  IMPORTED_LINK_INTERFACE_LIBRARIES_<CONFIG>
  IMPORTED_LINK_INTERFACE_MULTIPLICITY
  IMPORTED_LINK_INTERFACE_MULTIPLICITY_<CONFIG>
  IMPORTED_LOCATION, [1], [2], [3], [4]
  IMPORTED_LOCATION_<CONFIG>, [1], [2]
  IMPORTED_NO_SONAME, [1]
  IMPORTED_NO_SONAME_<CONFIG>
  IMPORTED_SONAME
  IMPORTED_SONAME_<CONFIG>
  IMPORT_PREFIX
  IMPORT_SUFFIX
  INCLUDE_DIRECTORIES, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15]
  INSTALL_NAME_DIR, [1], [2], [3]
  INSTALL_RPATH, [1], [2], [3]
  INSTALL_RPATH_USE_LINK_PATH, [1]
  INTERFACE_AUTOUIC_OPTIONS, [1], [2]
  INTERFACE_COMPILE_DEFINITIONS, [1], [2], [3], [4], [5], [6]
  INTERFACE_COMPILE_FEATURES, [1]
  INTERFACE_COMPILE_OPTIONS, [1], [2], [3], [4], [5]
  INTERFACE_INCLUDE_DIRECTORIES, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24], [25], [26], [27], [28], [29]
  INTERFACE_LINK_LIBRARIES, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19]
  INTERFACE_POSITION_INDEPENDENT_CODE, [1], [2], [3], [4]
  INTERFACE_SOURCES, [1], [2], [3], [4], [5]
  INTERFACE_SYSTEM_INCLUDE_DIRECTORIES, [1], [2]
  INTERPROCEDURAL_OPTIMIZATION
  INTERPROCEDURAL_OPTIMIZATION_<CONFIG>
  JOB_POOL_COMPILE, [1], [2], [3]
  JOB_POOL_LINK, [1], [2], [3]
  LABELS
  LIBRARY_OUTPUT_DIRECTORY, [1], [2], [3], [4], [5], [6]
  LIBRARY_OUTPUT_DIRECTORY_<CONFIG>, [1], [2]
  LIBRARY_OUTPUT_NAME, [1], [2], [3]
  LIBRARY_OUTPUT_NAME_<CONFIG>, [1], [2]
  LINKER_LANGUAGE, [1], [2]
  LINK_DEPENDS
  LINK_DEPENDS_NO_SHARED, [1]
  LINK_FLAGS
  LINK_FLAGS_<CONFIG>
  LINK_INTERFACE_LIBRARIES, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10]
  LINK_INTERFACE_LIBRARIES_<CONFIG>, [1], [2]
  LINK_INTERFACE_MULTIPLICITY, [1]
  LINK_INTERFACE_MULTIPLICITY_<CONFIG>
  LINK_LIBRARIES, [1], [2]
  LINK_SEARCH_END_STATIC, [1], [2], [3]
  LINK_SEARCH_START_STATIC, [1], [2]
  LOCATION, [1], [2], [3]
  LOCATION_<CONFIG>
  MACOSX_BUNDLE, [1], [2], [3], [4]
  MACOSX_BUNDLE_INFO_PLIST
  MACOSX_FRAMEWORK_INFO_PLIST
  MACOSX_RPATH, [1], [2], [3], [4]
  MAP_IMPORTED_CONFIG_<CONFIG>, [1], [2], [3], [4], [5]
  NAME
  NO_SONAME
  NO_SYSTEM_FROM_IMPORTED, [1], [2], [3]
  OSX_ARCHITECTURES, [1], [2]
  OSX_ARCHITECTURES_<CONFIG>, [1]
  OUTPUT_NAME, [1], [2], [3], [4], [5], [6], [7], [8], [9]
  OUTPUT_NAME_<CONFIG>, [1], [2], [3], [4], [5], [6]
  PDB_NAME, [1], [2], [3], [4], [5]
  PDB_NAME_<CONFIG>, [1], [2], [3]
  PDB_OUTPUT_DIRECTORY, [1], [2], [3], [4], [5], [6]
  PDB_OUTPUT_DIRECTORY_<CONFIG>, [1], [2], [3], [4]
  POSITION_INDEPENDENT_CODE, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15]
  POST_INSTALL_SCRIPT, [1]
  PREFIX
  PRE_INSTALL_SCRIPT, [1]
  PRIVATE_HEADER, [1]
  PROJECT_LABEL
  PUBLIC_HEADER, [1]
  RESOURCE, [1]
  RULE_LAUNCH_COMPILE
  RULE_LAUNCH_CUSTOM
  RULE_LAUNCH_LINK
  RUNTIME_OUTPUT_DIRECTORY, [1], [2], [3], [4], [5], [6], [7], [8]
  RUNTIME_OUTPUT_DIRECTORY_<CONFIG>, [1], [2]
  RUNTIME_OUTPUT_NAME, [1], [2], [3]
  RUNTIME_OUTPUT_NAME_<CONFIG>, [1], [2]
  SKIP_BUILD_RPATH
  SOURCES, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10]
  SOURCE_DIR, [1]
  SOVERSION, [1]
  STATIC_LIBRARY_FLAGS
  STATIC_LIBRARY_FLAGS_<CONFIG>
  SUFFIX
  TYPE, [1], [2]
  VERSION, [1]
  VISIBILITY_INLINES_HIDDEN, [1], [2], [3], [4], [5], [6], [7]
  VS_DESKTOP_EXTENSIONS_VERSION
  VS_DOTNET_REFERENCES
  VS_DOTNET_TARGET_FRAMEWORK_VERSION
  VS_GLOBAL_<variable>
  VS_GLOBAL_KEYWORD, [1]
  VS_GLOBAL_PROJECT_TYPES
  VS_GLOBAL_ROOTNAMESPACE
  VS_IOT_EXTENSIONS_VERSION
  VS_IOT_STARTUP_TASK
  VS_KEYWORD, [1]
  VS_MOBILE_EXTENSIONS_VERSION
  VS_SCC_AUXPATH
  VS_SCC_LOCALPATH
  VS_SCC_PROJECTNAME
  VS_SCC_PROVIDER
  VS_WINDOWS_TARGET_PLATFORM_MIN_VERSION
  VS_WINRT_COMPONENT, [1], [2]
  VS_WINRT_EXTENSIONS
  VS_WINRT_REFERENCES
  WIN32_EXECUTABLE, [1], [2], [3], [4], [5]
  WINDOWS_EXPORT_ALL_SYMBOLS, [1], [2]
  XCODE_ATTRIBUTE_<an-attribute>, [1], [2]
  XCTEST, [1]
TARGET_ARCHIVES_MAY_BE_SHARED_LIBS
  global property
target_compile_definitions
  command, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11]
target_compile_features
  command, [1], [2], [3], [4], [5], [6], [7]
target_compile_options
  command, [1], [2], [3], [4], [5], [6], [7], [8], [9]
target_include_directories
  command, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15]
target_link_libraries
  command, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24], [25], [26], [27], [28], [29], [30], [31], [32], [33], [34], [35], [36], [37], [38], [39], [40], [41], [42], [43], [44], [45], [46], [47], [48]
TARGET_MESSAGES
  global property, [1]
target_sources
  command, [1], [2], [3], [4]
TARGET_SUPPORTS_SHARED_LIBS
  global property
test property
  ATTACHED_FILES
  ATTACHED_FILES_ON_FAIL
  COST
  DEPENDS
  ENVIRONMENT
  FAIL_REGULAR_EXPRESSION, [1]
  LABELS
  MEASUREMENT
  PASS_REGULAR_EXPRESSION, [1]
  PROCESSORS
  REQUIRED_FILES, [1]
  RESOURCE_LOCK
  RUN_SERIAL
  SKIP_RETURN_CODE, [1]
  TIMEOUT, [1]
  WILL_FAIL, [1]
  WORKING_DIRECTORY, [1], [2]

TEST_INCLUDE_FILE
  directory property
TestBigEndian
  module
TestCXXAcceptsFlag
  module
TestForANSIForScope
  module
TestForANSIStreamHeaders
  module
TestForSSTREAM
  module
TestForSTDNamespace
  module
TIMEOUT
  test property, [1]
try_compile
  command, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16]
try_run
  command, [1], [2], [3], [4], [5], [6], [7]
TYPE
  cache property
  target property, [1], [2]

## U

UNIX
  variable
Unix Makefiles
  generator, [1], [2], [3], [4], [5], [6], [7], [8]
unset
  command, [1], [2], [3], [4]
USE_FOLDERS
  global property
use_mangled_mesa
  command, [1], [2]
Use_wxWindows
  module
UseEcos
  module

UseJava
  module, [1], [2], [3], [4]
UseJavaClassFilelist
  module
UseJavaSymlinks
  module
UsePkgConfig
  module
UseSWIG
  module, [1]
UsewxWidgets
  module
utility_source
  command, [1], [2]

## V

VALUE
  cache property
variable
  <PROJECT-NAME>_BINARY_DIR, [1]
  <PROJECT-NAME>_SOURCE_DIR, [1]
  <PROJECT-NAME>_VERSION, [1], [2], [3], [4], [5]
  <PROJECT-NAME>_VERSION_MAJOR, [1], [2]
  <PROJECT-NAME>_VERSION_MINOR, [1], [2]
  <PROJECT-NAME>_VERSION_PATCH, [1], [2]
  <PROJECT-NAME>_VERSION_TWEAK, [1], [2]
  APPLE, [1]
  BORLAND
  BUILD_SHARED_LIBS, [1], [2]
  CMAKE_<CONFIG>_POSTFIX, [1], [2]
  CMAKE_<LANG>_ARCHIVE_APPEND, [1], [2]
  CMAKE_<LANG>_ARCHIVE_CREATE, [1], [2]
  CMAKE_<LANG>_ARCHIVE_FINISH, [1], [2]
  CMAKE_<LANG>_COMPILER, [1], [2], [3], [4], [5], [6]
  CMAKE_<LANG>_COMPILER_ABI
  CMAKE_<LANG>_COMPILER_EXTERNAL_TOOLCHAIN, [1]
  CMAKE_<LANG>_COMPILER_ID, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16]
  CMAKE_<LANG>_COMPILER_LAUNCHER, [1], [2]
  CMAKE_<LANG>_COMPILER_LOADED
  CMAKE_<LANG>_COMPILER_TARGET, [1], [2], [3]
  CMAKE_<LANG>_COMPILER_VERSION, [1], [2], [3], [4], [5], [6], [7], [8], [9]
  CMAKE_<LANG>_COMPILE_OBJECT, [1]
  CMAKE_<LANG>_CREATE_SHARED_LIBRARY
  CMAKE_<LANG>_CREATE_SHARED_MODULE
  CMAKE_<LANG>_CREATE_STATIC_LIBRARY, [1], [2], [3]
  CMAKE_<LANG>_FLAGS, [1], [2], [3], [4], [5]
  CMAKE_<LANG>_FLAGS_DEBUG, [1]
  CMAKE_<LANG>_FLAGS_MINSIZEREL
  CMAKE_<LANG>_FLAGS_RELEASE
  CMAKE_<LANG>_FLAGS_RELWITHDEBINFO
  CMAKE_<LANG>_GHS_KERNEL_FLAGS_DEBUG
  CMAKE_<LANG>_GHS_KERNEL_FLAGS_MINSIZEREL
  CMAKE_<LANG>_GHS_KERNEL_FLAGS_RELEASE
  CMAKE_<LANG>_GHS_KERNEL_FLAGS_RELWITHDEBINFO
  CMAKE_<LANG>_IGNORE_EXTENSIONS
  CMAKE_<LANG>_IMPLICIT_INCLUDE_DIRECTORIES
  CMAKE_<LANG>_IMPLICIT_LINK_DIRECTORIES
  CMAKE_<LANG>_IMPLICIT_LINK_FRAMEWORK_DIRECTORIES
  CMAKE_<LANG>_IMPLICIT_LINK_LIBRARIES
  CMAKE_<LANG>_INCLUDE_WHAT_YOU_USE, [1], [2]
  CMAKE_<LANG>_LIBRARY_ARCHITECTURE, [1], [2]
  CMAKE_<LANG>_LINKER_PREFERENCE, [1]
  CMAKE_<LANG>_LINKER_PREFERENCE_PROPAGATES, [1]
  CMAKE_<LANG>_LINK_EXECUTABLE
  CMAKE_<LANG>_OUTPUT_EXTENSION
  CMAKE_<LANG>_PLATFORM_ID
  CMAKE_<LANG>_SIMULATE_ID
  CMAKE_<LANG>_SIMULATE_VERSION
  CMAKE_<LANG>_SIZEOF_DATA_PTR
  CMAKE_<LANG>_SOURCE_FILE_EXTENSIONS
  CMAKE_<LANG>_VISIBILITY_PRESET, [1], [2]
  CMAKE_ABSOLUTE_DESTINATION_FILES, [1]
  CMAKE_ANDROID_ANT_ADDITIONAL_OPTIONS, [1]
  CMAKE_ANDROID_API, [1]
  CMAKE_ANDROID_API_MIN, [1]
  CMAKE_ANDROID_ARCH, [1]
  CMAKE_ANDROID_ASSETS_DIRECTORIES, [1]
  CMAKE_ANDROID_GUI, [1]
  CMAKE_ANDROID_JAR_DEPENDENCIES, [1]
  CMAKE_ANDROID_JAR_DIRECTORIES, [1]
  CMAKE_ANDROID_JAVA_SOURCE_DIR, [1]
  CMAKE_ANDROID_NATIVE_LIB_DEPENDENCIES, [1]
  CMAKE_ANDROID_NATIVE_LIB_DIRECTORIES, [1]
  CMAKE_ANDROID_PROCESS_MAX, [1]
  CMAKE_ANDROID_PROGUARD, [1]
  CMAKE_ANDROID_PROGUARD_CONFIG_PATH, [1]
  CMAKE_ANDROID_SECURE_PROPS_PATH, [1]
  CMAKE_ANDROID_SKIP_ANT_STEP, [1]
  CMAKE_ANDROID_STL_TYPE
  CMAKE_APPBUNDLE_PATH, [1], [2], [3], [4], [5], [6]
  CMAKE_AR
  CMAKE_ARCHIVE_OUTPUT_DIRECTORY
  CMAKE_ARCHIVE_OUTPUT_DIRECTORY_<CONFIG>, [1]
  CMAKE_ARGC, [1]
  CMAKE_ARGV0, [1]
  CMAKE_AUTOMOC, [1], [2], [3]
  CMAKE_AUTOMOC_MOC_OPTIONS, [1]
  CMAKE_AUTOMOC_RELAXED_MODE, [1]
  CMAKE_AUTORCC, [1], [2]
  CMAKE_AUTORCC_OPTIONS, [1], [2]
  CMAKE_AUTOUIC, [1], [2]
  CMAKE_AUTOUIC_OPTIONS, [1], [2]
  CMAKE_BACKWARDS_COMPATIBILITY
  CMAKE_BINARY_DIR, [1], [2], [3]
  CMAKE_BUILD_TOOL
  CMAKE_BUILD_TYPE, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11]
  CMAKE_BUILD_WITH_INSTALL_RPATH
  CMAKE_CACHEFILE_DIR
  CMAKE_CACHE_MAJOR_VERSION
  CMAKE_CACHE_MINOR_VERSION
  CMAKE_CACHE_PATCH_VERSION
  CMAKE_CFG_INTDIR, [1], [2]
  CMAKE_CL_64
  CMAKE_COLOR_MAKEFILE
  CMAKE_COMMAND, [1]
  CMAKE_COMPILER_2005
  CMAKE_COMPILER_IS_GNU<LANG>
  CMAKE_COMPILE_PDB_OUTPUT_DIRECTORY, [1], [2]
  CMAKE_COMPILE_PDB_OUTPUT_DIRECTORY_<CONFIG>, [1]
  CMAKE_CONFIGURATION_TYPES, [1]
  CMAKE_CROSSCOMPILING, [1], [2], [3], [4]
  CMAKE_CROSSCOMPILING_EMULATOR, [1], [2]
  CMAKE_CTEST_COMMAND
  CMAKE_CURRENT_BINARY_DIR, [1], [2], [3], [4]
  CMAKE_CURRENT_LIST_DIR
  CMAKE_CURRENT_LIST_FILE, [1], [2], [3]
  CMAKE_CURRENT_LIST_LINE
  CMAKE_CURRENT_SOURCE_DIR, [1], [2], [3], [4], [5]
  CMAKE_CXX_COMPILE_FEATURES, [1], [2], [3], [4], [5]
  CMAKE_CXX_EXTENSIONS, [1], [2]
  CMAKE_CXX_STANDARD, [1], [2], [3]
  CMAKE_CXX_STANDARD_REQUIRED, [1]
  CMAKE_C_COMPILE_FEATURES, [1], [2], [3], [4]
  CMAKE_C_EXTENSIONS, [1], [2]
  CMAKE_C_STANDARD, [1], [2]
  CMAKE_C_STANDARD_REQUIRED, [1]
  CMAKE_DEBUG_POSTFIX
  CMAKE_DEBUG_TARGET_PROPERTIES, [1], [2], [3]
  CMAKE_DISABLE_FIND_PACKAGE_<PackageName>, [1], [2]
  CMAKE_DL_LIBS
  CMAKE_EDIT_COMMAND
  CMAKE_ENABLE_EXPORTS, [1], [2]
  CMAKE_ERROR_DEPRECATED, [1]
  CMAKE_ERROR_ON_ABSOLUTE_INSTALL_DESTINATION, [1]
  CMAKE_EXECUTABLE_SUFFIX
  CMAKE_EXE_LINKER_FLAGS, [1], [2], [3], [4], [5]
  CMAKE_EXE_LINKER_FLAGS_<CONFIG>
  CMAKE_EXPORT_NO_PACKAGE_REGISTRY, [1], [2], [3], [4]
  CMAKE_EXTRA_GENERATOR
  CMAKE_EXTRA_SHARED_LIBRARY_SUFFIXES
  CMAKE_FIND_APPBUNDLE, [1], [2], [3], [4], [5]
  CMAKE_FIND_FRAMEWORK, [1], [2], [3], [4], [5]
  CMAKE_FIND_LIBRARY_PREFIXES
  CMAKE_FIND_LIBRARY_SUFFIXES
  CMAKE_FIND_NO_INSTALL_PREFIX, [1], [2]
  CMAKE_FIND_PACKAGE_NAME
  CMAKE_FIND_PACKAGE_NO_PACKAGE_REGISTRY, [1], [2], [3], [4]
  CMAKE_FIND_PACKAGE_NO_SYSTEM_PACKAGE_REGISTRY, [1], [2], [3], [4]
  CMAKE_FIND_PACKAGE_WARN_NO_MODULE
  CMAKE_FIND_ROOT_PATH, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24], [25], [26], [27], [28], [29], [30], [31], [32], [33], [34], [35], [36], [37]
  CMAKE_FIND_ROOT_PATH_MODE_INCLUDE, [1], [2], [3], [4]
  CMAKE_FIND_ROOT_PATH_MODE_LIBRARY, [1], [2]
  CMAKE_FIND_ROOT_PATH_MODE_PACKAGE, [1], [2]
  CMAKE_FIND_ROOT_PATH_MODE_PROGRAM, [1], [2]
  CMAKE_FRAMEWORK_PATH, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12]
  CMAKE_Fortran_FORMAT
  CMAKE_Fortran_MODDIR_DEFAULT
  CMAKE_Fortran_MODDIR_FLAG
  CMAKE_Fortran_MODOUT_FLAG
  CMAKE_Fortran_MODULE_DIRECTORY
  CMAKE_GENERATOR, [1], [2]
  CMAKE_GENERATOR_PLATFORM, [1], [2], [3], [4], [5], [6], [7], [8]
  CMAKE_GENERATOR_TOOLSET, [1], [2], [3], [4]
  CMAKE_GNUtoMS
  CMAKE_HOME_DIRECTORY
  CMAKE_HOST_APPLE
  CMAKE_HOST_SYSTEM
  CMAKE_HOST_SYSTEM_NAME, [1], [2], [3]
  CMAKE_HOST_SYSTEM_PROCESSOR, [1], [2]
  CMAKE_HOST_SYSTEM_VERSION, [1], [2], [3]
  CMAKE_HOST_UNIX
  CMAKE_HOST_WIN32
  CMAKE_IGNORE_PATH, [1], [2]
  CMAKE_IMPORT_LIBRARY_PREFIX
  CMAKE_IMPORT_LIBRARY_SUFFIX
  CMAKE_INCLUDE_CURRENT_DIR, [1], [2], [3]
  CMAKE_INCLUDE_CURRENT_DIR_IN_INTERFACE, [1], [2]
  CMAKE_INCLUDE_DIRECTORIES_BEFORE, [1]
  CMAKE_INCLUDE_DIRECTORIES_PROJECT_BEFORE
  CMAKE_INCLUDE_PATH, [1], [2], [3], [4], [5], [6], [7], [8], [9]
  CMAKE_INSTALL_DEFAULT_COMPONENT_NAME, [1]
  CMAKE_INSTALL_MESSAGE, [1], [2], [3]
  CMAKE_INSTALL_NAME_DIR, [1]
  CMAKE_INSTALL_PREFIX, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24]
  CMAKE_INSTALL_RPATH, [1]
  CMAKE_INSTALL_RPATH_USE_LINK_PATH
  CMAKE_INTERNAL_PLATFORM_ABI
  CMAKE_JOB_POOL_COMPILE, [1], [2]
  CMAKE_JOB_POOL_LINK, [1], [2]
  CMAKE_LIBRARY_ARCHITECTURE, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22]
  CMAKE_LIBRARY_ARCHITECTURE_REGEX
  CMAKE_LIBRARY_OUTPUT_DIRECTORY
  CMAKE_LIBRARY_OUTPUT_DIRECTORY_<CONFIG>, [1]
  CMAKE_LIBRARY_PATH, [1], [2], [3], [4], [5], [6]
  CMAKE_LIBRARY_PATH_FLAG
  CMAKE_LINK_DEF_FILE_FLAG
  CMAKE_LINK_DEPENDS_NO_SHARED
  CMAKE_LINK_INTERFACE_LIBRARIES, [1]
  CMAKE_LINK_LIBRARY_FILE_FLAG
  CMAKE_LINK_LIBRARY_FLAG
  CMAKE_LINK_LIBRARY_SUFFIX
  CMAKE_LINK_SEARCH_END_STATIC, [1], [2], [3]
  CMAKE_LINK_SEARCH_START_STATIC, [1], [2], [3]
  CMAKE_MACOSX_BUNDLE
  CMAKE_MACOSX_RPATH, [1]
  CMAKE_MAJOR_VERSION, [1]
  CMAKE_MAKE_PROGRAM, [1], [2], [3], [4], [5], [6]
  CMAKE_MAP_IMPORTED_CONFIG_<CONFIG>, [1]
  CMAKE_MATCH_COUNT, [1]
  CMAKE_MFC_FLAG
  CMAKE_MINIMUM_REQUIRED_VERSION, [1], [2], [3], [4]
  CMAKE_MINOR_VERSION, [1]
  CMAKE_MODULE_LINKER_FLAGS
  CMAKE_MODULE_LINKER_FLAGS_<CONFIG>
  CMAKE_MODULE_PATH, [1], [2], [3], [4], [5], [6], [7]
  CMAKE_NOT_USING_CONFIG_FLAGS
  CMAKE_NO_BUILTIN_CHRPATH
  CMAKE_NO_SYSTEM_FROM_IMPORTED
  CMAKE_OBJECT_PATH_MAX
  CMAKE_OSX_ARCHITECTURES, [1]
  CMAKE_OSX_DEPLOYMENT_TARGET, [1]
  CMAKE_OSX_SYSROOT, [1]
  CMAKE_PARENT_LIST_FILE, [1]
  CMAKE_PATCH_VERSION, [1]
  CMAKE_PDB_OUTPUT_DIRECTORY, [1], [2]
  CMAKE_PDB_OUTPUT_DIRECTORY_<CONFIG>, [1]
  CMAKE_POLICY_DEFAULT_CMP<NNNN>, [1], [2], [3]
  CMAKE_POLICY_WARNING_CMP<NNNN>, [1], [2], [3], [4], [5]
  CMAKE_POSITION_INDEPENDENT_CODE, [1], [2]
  CMAKE_PREFIX_PATH, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24]
  CMAKE_PROGRAM_PATH, [1], [2], [3], [4], [5], [6]
  CMAKE_PROJECT_<PROJECT-NAME>_INCLUDE, [1]
  CMAKE_PROJECT_NAME
  CMAKE_RANLIB
  CMAKE_ROOT
  CMAKE_RUNTIME_OUTPUT_DIRECTORY, [1]
  CMAKE_RUNTIME_OUTPUT_DIRECTORY_<CONFIG>, [1]
  CMAKE_SCRIPT_MODE_FILE
  CMAKE_SHARED_LIBRARY_PREFIX
  CMAKE_SHARED_LIBRARY_SUFFIX, [1]
  CMAKE_SHARED_LINKER_FLAGS
  CMAKE_SHARED_LINKER_FLAGS_<CONFIG>
  CMAKE_SHARED_MODULE_PREFIX
  CMAKE_SHARED_MODULE_SUFFIX
  CMAKE_SIZEOF_VOID_P
  CMAKE_SKIP_BUILD_RPATH
  CMAKE_SKIP_INSTALL_ALL_DEPENDENCY, [1]
  CMAKE_SKIP_INSTALL_RPATH, [1]
  CMAKE_SKIP_INSTALL_RULES
  CMAKE_SKIP_RPATH, [1]
  CMAKE_SOURCE_DIR, [1], [2]
  CMAKE_STAGING_PREFIX, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15]
  CMAKE_STANDARD_LIBRARIES
  CMAKE_STATIC_LIBRARY_PREFIX
  CMAKE_STATIC_LIBRARY_SUFFIX
  CMAKE_STATIC_LINKER_FLAGS
  CMAKE_STATIC_LINKER_FLAGS_<CONFIG>
  CMAKE_SYSROOT, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22]
  CMAKE_SYSTEM, [1], [2]
  CMAKE_SYSTEM_APPBUNDLE_PATH, [1], [2]
  CMAKE_SYSTEM_FRAMEWORK_PATH, [1], [2], [3], [4], [5], [6]
  CMAKE_SYSTEM_IGNORE_PATH, [1]
  CMAKE_SYSTEM_INCLUDE_PATH, [1], [2], [3], [4], [5], [6], [7]
  CMAKE_SYSTEM_LIBRARY_PATH, [1], [2], [3], [4], [5]
  CMAKE_SYSTEM_NAME, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13]
  CMAKE_SYSTEM_PREFIX_PATH, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20]
  CMAKE_SYSTEM_PROCESSOR, [1]
  CMAKE_SYSTEM_PROGRAM_PATH, [1], [2], [3], [4], [5]
  CMAKE_SYSTEM_VERSION, [1], [2], [3], [4], [5], [6], [7], [8], [9]
  CMAKE_TOOLCHAIN_FILE, [1], [2], [3], [4], [5], [6], [7], [8], [9]
  CMAKE_TRY_COMPILE_CONFIGURATION, [1], [2]
  CMAKE_TWEAK_VERSION, [1]
  CMAKE_USER_MAKE_RULES_OVERRIDE, [1]
  CMAKE_USER_MAKE_RULES_OVERRIDE_<LANG>
  CMAKE_USE_RELATIVE_PATHS, [1]
  CMAKE_VERBOSE_MAKEFILE
  CMAKE_VERSION, [1], [2], [3], [4], [5], [6], [7]
  CMAKE_VISIBILITY_INLINES_HIDDEN, [1], [2]
  CMAKE_VS_DEVENV_COMMAND, [1], [2]
  CMAKE_VS_INCLUDE_INSTALL_TO_DEFAULT_BUILD, [1]
  CMAKE_VS_INTEL_Fortran_PROJECT_VERSION
  CMAKE_VS_MSBUILD_COMMAND, [1], [2]
  CMAKE_VS_MSDEV_COMMAND, [1]
  CMAKE_VS_NsightTegra_VERSION
  CMAKE_VS_PLATFORM_NAME
  CMAKE_VS_PLATFORM_TOOLSET
  CMAKE_VS_WINDOWS_TARGET_PLATFORM_VERSION, [1], [2], [3], [4]
  CMAKE_WARN_DEPRECATED, [1]
  CMAKE_WARN_ON_ABSOLUTE_INSTALL_DESTINATION, [1]
  CMAKE_WIN32_EXECUTABLE
  CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS, [1]
  CMAKE_XCODE_ATTRIBUTE_<an-attribute>, [1]
  CMAKE_XCODE_PLATFORM_TOOLSET
  CPACK_<GENNAME>_COMPONENT_INSTALL
  CPACK_ABSOLUTE_DESTINATION_FILES
  CPACK_BINARY_<GENNAME>
  CPACK_BUNDLE_APPLE_CERT_APP
  CPACK_BUNDLE_APPLE_CODESIGN_FILES
  CPACK_BUNDLE_APPLE_CODESIGN_PARAMETER
  CPACK_BUNDLE_APPLE_ENTITLEMENTS
  CPACK_BUNDLE_ICON
  CPACK_BUNDLE_NAME
  CPACK_BUNDLE_PLIST
  CPACK_BUNDLE_STARTUP_COMMAND
  CPACK_CMAKE_GENERATOR
  CPACK_COMMAND_CODESIGN
  CPACK_COMMAND_HDIUTIL
  CPACK_COMMAND_REZ
  CPACK_COMMAND_SETFILE
  CPACK_COMPONENTS_ALL
  CPACK_COMPONENTS_GROUPING
  CPACK_COMPONENT_<COMPONENT>_DESCRIPTION
  CPACK_COMPONENT_<compName>_DEPENDS
  CPACK_COMPONENT_<compName>_DESCRIPTION
  CPACK_COMPONENT_<compName>_DISPLAY_NAME
  CPACK_COMPONENT_<compName>_GROUP
  CPACK_COMPONENT_<compName>_REQUIRED
  CPACK_COMPONENT_INCLUDE_TOPLEVEL_DIRECTORY, [1]
  CPACK_CREATE_DESKTOP_LINKS
  CPACK_CYGWIN_BUILD_SCRIPT
  CPACK_CYGWIN_PATCH_FILE
  CPACK_CYGWIN_PATCH_NUMBER
  CPACK_DEBIAN_<COMPONENT>_PACKAGE_BREAKS, [1]
  CPACK_DEBIAN_<COMPONENT>_PACKAGE_CONFLICTS, [1]
  CPACK_DEBIAN_<COMPONENT>_PACKAGE_CONTROL_EXTRA
  CPACK_DEBIAN_<COMPONENT>_PACKAGE_CONTROL_STRICT_PERMISSION
  CPACK_DEBIAN_<COMPONENT>_PACKAGE_DEPENDS, [1], [2], [3]
  CPACK_DEBIAN_<COMPONENT>_PACKAGE_ENHANCES, [1]
  CPACK_DEBIAN_<COMPONENT>_PACKAGE_PREDEPENDS, [1]
  CPACK_DEBIAN_<COMPONENT>_PACKAGE_PROVIDES, [1]
  CPACK_DEBIAN_<COMPONENT>_PACKAGE_RECOMMENDS, [1]
  CPACK_DEBIAN_<COMPONENT>_PACKAGE_REPLACES, [1]
  CPACK_DEBIAN_<COMPONENT>_PACKAGE_SHLIBDEPS, [1], [2]
  CPACK_DEBIAN_<COMPONENT>_PACKAGE_SUGGESTS, [1]
  CPACK_DEBIAN_COMPRESSION_TYPE, [1]
  CPACK_DEBIAN_PACKAGE_ARCHITECTURE
  CPACK_DEBIAN_PACKAGE_BREAKS, [1], [2]
  CPACK_DEBIAN_PACKAGE_CONFLICTS, [1]
  CPACK_DEBIAN_PACKAGE_CONTROL_EXTRA
  CPACK_DEBIAN_PACKAGE_CONTROL_STRICT_PERMISSION, [1]
  CPACK_DEBIAN_PACKAGE_DEBUG
  CPACK_DEBIAN_PACKAGE_DEPENDS, [1], [2], [3]
  CPACK_DEBIAN_PACKAGE_DESCRIPTION, [1]
  CPACK_DEBIAN_PACKAGE_ENHANCES, [1]
  CPACK_DEBIAN_PACKAGE_HOMEPAGE
  CPACK_DEBIAN_PACKAGE_MAINTAINER
  CPACK_DEBIAN_PACKAGE_NAME
  CPACK_DEBIAN_PACKAGE_PREDEPENDS, [1]
  CPACK_DEBIAN_PACKAGE_PRIORITY
  CPACK_DEBIAN_PACKAGE_PROVIDES, [1]
  CPACK_DEBIAN_PACKAGE_RECOMMENDS, [1]
  CPACK_DEBIAN_PACKAGE_REPLACES, [1]
  CPACK_DEBIAN_PACKAGE_SECTION
  CPACK_DEBIAN_PACKAGE_SHLIBDEPS, [1], [2]
  CPACK_DEBIAN_PACKAGE_SUGGESTS, [1], [2]
  CPACK_DEBIAN_PACKAGE_VERSION
  CPACK_DMG_BACKGROUND_IMAGE
  CPACK_DMG_DS_STORE
  CPACK_DMG_FORMAT
  CPACK_DMG_VOLUME_NAME
  CPACK_ERROR_ON_ABSOLUTE_INSTALL_DESTINATION
  CPACK_GENERATOR
  CPACK_IFW_ADMIN_TARGET_DIRECTORY
  CPACK_IFW_BINARYCREATOR_EXECUTABLE
  CPACK_IFW_DOWNLOAD_ALL, [1]
  CPACK_IFW_FRAMEWORK_VERSION
  CPACK_IFW_PACKAGES_DIRECTORIES
  CPACK_IFW_PACKAGE_ALLOW_NON_ASCII_CHARACTERS
  CPACK_IFW_PACKAGE_ALLOW_SPACE_IN_PATH
  CPACK_IFW_PACKAGE_CONTROL_SCRIPT
  CPACK_IFW_PACKAGE_GROUP
  CPACK_IFW_PACKAGE_ICON
  CPACK_IFW_PACKAGE_LOGO
  CPACK_IFW_PACKAGE_MAINTENANCE_TOOL_INI_FILE
  CPACK_IFW_PACKAGE_MAINTENANCE_TOOL_NAME
  CPACK_IFW_PACKAGE_NAME, [1]
  CPACK_IFW_PACKAGE_PUBLISHER
  CPACK_IFW_PACKAGE_START_MENU_DIRECTORY
  CPACK_IFW_PACKAGE_TITLE
  CPACK_IFW_PACKAGE_WINDOW_ICON
  CPACK_IFW_PRODUCT_URL
  CPACK_IFW_REPOGEN_EXECUTABLE
  CPACK_IFW_REPOSITORIES_ALL, [1]
  CPACK_IFW_RESOLVE_DUPLICATE_NAMES
  CPACK_IFW_TARGET_DIRECTORY
  CPACK_IFW_VERBOSE
  CPACK_INCLUDE_TOPLEVEL_DIRECTORY, [1], [2]
  CPACK_INSTALLED_DIRECTORIES
  CPACK_INSTALL_CMAKE_PROJECTS
  CPACK_INSTALL_COMMANDS
  CPACK_INSTALL_SCRIPT
  CPACK_MONOLITHIC_INSTALL
  CPACK_NSIS_COMPRESSOR
  CPACK_NSIS_CONTACT
  CPACK_NSIS_CREATE_ICONS_EXTRA
  CPACK_NSIS_DELETE_ICONS_EXTRA
  CPACK_NSIS_DISPLAY_NAME
  CPACK_NSIS_ENABLE_UNINSTALL_BEFORE_INSTALL
  CPACK_NSIS_EXECUTABLES_DIRECTORY
  CPACK_NSIS_EXTRA_INSTALL_COMMANDS
  CPACK_NSIS_EXTRA_PREINSTALL_COMMANDS
  CPACK_NSIS_EXTRA_UNINSTALL_COMMANDS
  CPACK_NSIS_HELP_LINK
  CPACK_NSIS_INSTALLED_ICON_NAME
  CPACK_NSIS_INSTALLER_MUI_ICON_CODE
  CPACK_NSIS_INSTALL_ROOT
  CPACK_NSIS_MENU_LINKS
  CPACK_NSIS_MODIFY_PATH
  CPACK_NSIS_MUI_FINISHPAGE_RUN
  CPACK_NSIS_MUI_ICON
  CPACK_NSIS_MUI_UNIICON
  CPACK_NSIS_PACKAGE_NAME
  CPACK_NSIS_URL_INFO_ABOUT
  CPACK_OSX_PACKAGE_VERSION
  CPACK_OUTPUT_CONFIG_FILE
  CPACK_PACKAGE_DESCRIPTION_FILE
  CPACK_PACKAGE_DESCRIPTION_SUMMARY, [1], [2]
  CPACK_PACKAGE_DIRECTORY
  CPACK_PACKAGE_EXECUTABLES, [1]
  CPACK_PACKAGE_FILE_NAME
  CPACK_PACKAGE_ICON
  CPACK_PACKAGE_INSTALL_DIRECTORY, [1]
  CPACK_PACKAGE_INSTALL_REGISTRY_KEY
  CPACK_PACKAGE_NAME, [1]
  CPACK_PACKAGE_VENDOR, [1]
  CPACK_PACKAGE_VERSION, [1], [2], [3]
  CPACK_PACKAGE_VERSION_MAJOR
  CPACK_PACKAGE_VERSION_MINOR
  CPACK_PACKAGE_VERSION_PATCH
  CPACK_PACKAGING_INSTALL_PREFIX, [1], [2]
  CPACK_PROJECT_CONFIG_FILE
  CPACK_RESOURCE_FILE_LICENSE
  CPACK_RESOURCE_FILE_README
  CPACK_RESOURCE_FILE_WELCOME
  CPACK_RPM_<COMPONENT>_PACKAGE_PREFIX, [1]
  CPACK_RPM_<COMPONENT>_USER_FILELIST
  CPACK_RPM_<component>_PACKAGE_ARCHITECTURE, [1]
  CPACK_RPM_<component>_PACKAGE_AUTOPROV
  CPACK_RPM_<component>_PACKAGE_AUTOREQ
  CPACK_RPM_<component>_PACKAGE_AUTOREQPROV
  CPACK_RPM_<component>_PACKAGE_CONFLICTS
  CPACK_RPM_<component>_PACKAGE_DESCRIPTION, [1]
  CPACK_RPM_<component>_PACKAGE_OBSOLETES
  CPACK_RPM_<component>_PACKAGE_PROVIDES
  CPACK_RPM_<component>_PACKAGE_REQUIRES
  CPACK_RPM_<component>_PACKAGE_REQUIRES_POST
  CPACK_RPM_<component>_PACKAGE_REQUIRES_POSTUN
  CPACK_RPM_<component>_PACKAGE_REQUIRES_PRE
  CPACK_RPM_<component>_PACKAGE_REQUIRES_PREUN
  CPACK_RPM_<component>_PACKAGE_SUGGESTS
  CPACK_RPM_<component>_PACKAGE_SUMMARY, [1]
  CPACK_RPM_<component>_PACKAGE_URL
  CPACK_RPM_ADDITIONAL_MAN_DIRS, [1]
  CPACK_RPM_CHANGELOG_FILE
  CPACK_RPM_COMPRESSION_TYPE
  CPACK_RPM_EXCLUDE_FROM_AUTO_FILELIST
  CPACK_RPM_EXCLUDE_FROM_AUTO_FILELIST_ADDITION
  CPACK_RPM_GENERATE_USER_BINARY_SPECFILE_TEMPLATE
  CPACK_RPM_NO_<COMPONENT>_INSTALL_PREFIX_RELOCATION
  CPACK_RPM_NO_INSTALL_PREFIX_RELOCATION
  CPACK_RPM_PACKAGE_ARCHITECTURE
  CPACK_RPM_PACKAGE_AUTOPROV, [1]
  CPACK_RPM_PACKAGE_AUTOREQ, [1]
  CPACK_RPM_PACKAGE_AUTOREQPROV
  CPACK_RPM_PACKAGE_CONFLICTS
  CPACK_RPM_PACKAGE_DEBUG
  CPACK_RPM_PACKAGE_DESCRIPTION
  CPACK_RPM_PACKAGE_GROUP
  CPACK_RPM_PACKAGE_LICENSE
  CPACK_RPM_PACKAGE_NAME
  CPACK_RPM_PACKAGE_OBSOLETES
  CPACK_RPM_PACKAGE_PROVIDES
  CPACK_RPM_PACKAGE_RELEASE
  CPACK_RPM_PACKAGE_RELOCATABLE
  CPACK_RPM_PACKAGE_REQUIRES
  CPACK_RPM_PACKAGE_REQUIRES_POST, [1]
  CPACK_RPM_PACKAGE_REQUIRES_POSTUN, [1]
  CPACK_RPM_PACKAGE_REQUIRES_PRE, [1]
  CPACK_RPM_PACKAGE_REQUIRES_PREUN, [1]
  CPACK_RPM_PACKAGE_SUGGESTS
  CPACK_RPM_PACKAGE_SUMMARY
  CPACK_RPM_PACKAGE_URL
  CPACK_RPM_PACKAGE_VENDOR
  CPACK_RPM_PACKAGE_VERSION
  CPACK_RPM_POST_INSTALL_SCRIPT_FILE
  CPACK_RPM_POST_UNINSTALL_SCRIPT_FILE
  CPACK_RPM_PRE_INSTALL_SCRIPT_FILE
  CPACK_RPM_PRE_UNINSTALL_SCRIPT_FILE
  CPACK_RPM_RELOCATION_PATHS, [1]
  CPACK_RPM_SPEC_INSTALL_POST
  CPACK_RPM_SPEC_MORE_DEFINE
  CPACK_RPM_USER_BINARY_SPECFILE
  CPACK_RPM_USER_FILELIST
  CPACK_SET_DESTDIR
  CPACK_SOURCE_GENERATOR
  CPACK_SOURCE_IGNORE_FILES
  CPACK_SOURCE_OUTPUT_CONFIG_FILE
  CPACK_SOURCE_PACKAGE_FILE_NAME
  CPACK_SOURCE_STRIP_FILES
  CPACK_STRIP_FILES
  CPACK_SYSTEM_NAME
  CPACK_TOPLEVEL_TAG
  CPACK_VERBATIM_VARIABLES
  CPACK_WARN_ON_ABSOLUTE_INSTALL_DESTINATION
  CPACK_WIX_<TOOL>_EXTENSIONS
  CPACK_WIX_<TOOL>_EXTRA_FLAGS
  CPACK_WIX_CMAKE_PACKAGE_REGISTRY
  CPACK_WIX_CULTURES
  CPACK_WIX_EXTENSIONS
  CPACK_WIX_EXTRA_OBJECTS
  CPACK_WIX_EXTRA_SOURCES
  CPACK_WIX_LICENSE_RTF
  CPACK_WIX_PATCH_FILE
  CPACK_WIX_PRODUCT_GUID
  CPACK_WIX_PRODUCT_ICON
  CPACK_WIX_PROGRAM_MENU_FOLDER
  CPACK_WIX_PROPERTY_<PROPERTY>
  CPACK_WIX_TEMPLATE
  CPACK_WIX_UI_BANNER
  CPACK_WIX_UI_DIALOG
  CPACK_WIX_UI_REF
  CPACK_WIX_UPGRADE_GUID
  CTEST_BINARY_DIRECTORY, [1], [2], [3], [4], [5], [6], [7]
  CTEST_BUILD_COMMAND, [1], [2], [3]
  CTEST_BUILD_NAME, [1]
  CTEST_BZR_COMMAND, [1]
  CTEST_BZR_UPDATE_OPTIONS, [1]
  CTEST_CHANGE_ID
  CTEST_CHECKOUT_COMMAND, [1], [2]
  CTEST_CONFIGURATION_TYPE, [1]
  CTEST_CONFIGURE_COMMAND, [1]
  CTEST_COVERAGE_COMMAND, [1], [2]
  CTEST_COVERAGE_EXTRA_FLAGS, [1]
  CTEST_CURL_OPTIONS, [1]
  CTEST_CUSTOM_COVERAGE_EXCLUDE
  CTEST_CUSTOM_ERROR_EXCEPTION
  CTEST_CUSTOM_ERROR_MATCH
  CTEST_CUSTOM_ERROR_POST_CONTEXT
  CTEST_CUSTOM_ERROR_PRE_CONTEXT
  CTEST_CUSTOM_MAXIMUM_FAILED_TEST_OUTPUT_SIZE, [1]
  CTEST_CUSTOM_MAXIMUM_NUMBER_OF_ERRORS
  CTEST_CUSTOM_MAXIMUM_NUMBER_OF_WARNINGS
  CTEST_CUSTOM_MAXIMUM_PASSED_TEST_OUTPUT_SIZE, [1]
  CTEST_CUSTOM_MEMCHECK_IGNORE
  CTEST_CUSTOM_POST_MEMCHECK
  CTEST_CUSTOM_POST_TEST
  CTEST_CUSTOM_PRE_MEMCHECK
  CTEST_CUSTOM_PRE_TEST
  CTEST_CUSTOM_TEST_IGNORE
  CTEST_CUSTOM_WARNING_EXCEPTION
  CTEST_CUSTOM_WARNING_MATCH
  CTEST_CVS_CHECKOUT, [1]
  CTEST_CVS_COMMAND, [1]
  CTEST_CVS_UPDATE_OPTIONS, [1]
  CTEST_DROP_LOCATION, [1]
  CTEST_DROP_METHOD, [1]
  CTEST_DROP_SITE, [1]
  CTEST_DROP_SITE_CDASH, [1]
  CTEST_DROP_SITE_PASSWORD, [1]
  CTEST_DROP_SITE_USER, [1]
  CTEST_EXTRA_COVERAGE_GLOB
  CTEST_GIT_COMMAND, [1]
  CTEST_GIT_UPDATE_CUSTOM, [1]
  CTEST_GIT_UPDATE_OPTIONS, [1]
  CTEST_HG_COMMAND, [1]
  CTEST_HG_UPDATE_OPTIONS, [1]
  CTEST_MEMORYCHECK_COMMAND, [1]
  CTEST_MEMORYCHECK_COMMAND_OPTIONS, [1]
  CTEST_MEMORYCHECK_SANITIZER_OPTIONS, [1], [2]
  CTEST_MEMORYCHECK_SUPPRESSIONS_FILE, [1]
  CTEST_MEMORYCHECK_TYPE, [1]
  CTEST_NIGHTLY_START_TIME, [1]
  CTEST_P4_CLIENT, [1]
  CTEST_P4_COMMAND, [1]
  CTEST_P4_OPTIONS, [1]
  CTEST_P4_UPDATE_OPTIONS, [1]
  CTEST_SCP_COMMAND, [1]
  CTEST_SITE, [1]
  CTEST_SOURCE_DIRECTORY, [1], [2], [3], [4], [5]
  CTEST_SVN_COMMAND, [1]
  CTEST_SVN_OPTIONS, [1]
  CTEST_SVN_UPDATE_OPTIONS, [1]
  CTEST_TEST_LOAD, [1], [2], [3]
  CTEST_TEST_TIMEOUT, [1], [2]
  CTEST_TRIGGER_SITE, [1]
  CTEST_UPDATE_COMMAND, [1]
  CTEST_UPDATE_OPTIONS, [1]
  CTEST_UPDATE_VERSION_ONLY, [1]
  CTEST_USE_LAUNCHERS, [1], [2]
  CYGWIN, [1]
  ENV
  EXECUTABLE_OUTPUT_PATH
  ExternalData_BINARY_ROOT
  ExternalData_CUSTOM_ERROR
  ExternalData_CUSTOM_FILE
  ExternalData_CUSTOM_LOCATION
  ExternalData_CUSTOM_SCRIPT_<key>
  ExternalData_LINK_CONTENT
  ExternalData_NO_SYMLINKS, [1]
  ExternalData_OBJECT_STORES
  ExternalData_SERIES_MATCH
  ExternalData_SERIES_PARSE
  ExternalData_SERIES_PARSE_NUMBER
  ExternalData_SERIES_PARSE_PREFIX
  ExternalData_SERIES_PARSE_SUFFIX
  ExternalData_SOURCE_ROOT
  ExternalData_TIMEOUT_ABSOLUTE
  ExternalData_TIMEOUT_INACTIVITY
  ExternalData_URL_ALGO_<algo>_<key>, [1]
  ExternalData_URL_TEMPLATES
  GHS-MULTI
  GRAPHVIZ_EXECUTABLES
  GRAPHVIZ_EXTERNAL_LIBS
  GRAPHVIZ_GENERATE_DEPENDERS
  GRAPHVIZ_GENERATE_PER_TARGET
  GRAPHVIZ_GRAPH_HEADER
  GRAPHVIZ_GRAPH_NAME
  GRAPHVIZ_GRAPH_TYPE
  GRAPHVIZ_IGNORE_TARGETS
  GRAPHVIZ_MODULE_LIBS
  GRAPHVIZ_NODE_PREFIX
  GRAPHVIZ_SHARED_LIBS
  GRAPHVIZ_STATIC_LIBS
  LIBRARY_OUTPUT_PATH
  MATLAB_ADDITIONAL_VERSIONS, [1], [2]
  MATLAB_FIND_DEBUG, [1], [2]
  MINGW
  MSVC
  MSVC10
  MSVC11
  MSVC12
  MSVC14
  MSVC60
  MSVC70
  MSVC71
  MSVC80
  MSVC90
  MSVC_IDE
  MSVC_VERSION
  Matlab_ROOT_DIR, [1], [2]
  PKG_CONFIG_EXECUTABLE, [1]
  PKG_CONFIG_USE_CMAKE_PREFIX_PATH, [1]
  PROJECT_BINARY_DIR, [1], [2]
  PROJECT_NAME, [1], [2]
  PROJECT_SOURCE_DIR, [1], [2], [3]
  PROJECT_VERSION, [1], [2], [3], [4], [5], [6], [7]
  PROJECT_VERSION_MAJOR, [1], [2]
  PROJECT_VERSION_MINOR, [1], [2]
  PROJECT_VERSION_PATCH, [1], [2]
  PROJECT_VERSION_TWEAK, [1], [2]
  UNIX
  WIN32
  WINCE
  WINDOWS_PHONE
  WINDOWS_STORE
  XCODE_VERSION
  XCTest_EXECUTABLE
  XCTest_FOUND
  XCTest_INCLUDE_DIRS
  XCTest_LIBRARIES
variable_requires
  command, [1], [2]
variable_watch
  command, [1]
VARIABLES
  directory property
VERSION
  target property, [1]
VISIBILITY_INLINES_HIDDEN
  target property, [1], [2], [3], [4], [5], [6], [7]
Visual Studio 10 2010
  generator, [1], [2], [3], [4]
Visual Studio 11 2012
  generator, [1]
Visual Studio 12 2013
  generator, [1]
Visual Studio 14 2015
  generator, [1], [2]
Visual Studio 6
  generator, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10]
Visual Studio 7
  generator, [1], [2], [3]
Visual Studio 7 .NET 2003
  generator
Visual Studio 8 2005
  generator
Visual Studio 9 2008
  generator
VS_DEPLOYMENT_CONTENT
  source file property, [1], [2]
VS_DEPLOYMENT_LOCATION
  source file property, [1]
VS_DESKTOP_EXTENSIONS_VERSION
  target property
VS_DOTNET_REFERENCES
  target property
VS_DOTNET_TARGET_FRAMEWORK_VERSION
  target property
VS_GLOBAL_<variable>
  target property

VS_GLOBAL_KEYWORD
  target property, [1]
VS_GLOBAL_PROJECT_TYPES
  target property
VS_GLOBAL_ROOTNAMESPACE
  target property
VS_GLOBAL_SECTION_POST_<section>
  directory property
VS_GLOBAL_SECTION_PRE_<section>
  directory property
VS_IOT_EXTENSIONS_VERSION
  target property
VS_IOT_STARTUP_TASK
  target property
VS_KEYWORD
  target property, [1]
VS_MOBILE_EXTENSIONS_VERSION
  target property
VS_SCC_AUXPATH
  target property
VS_SCC_LOCALPATH
  target property
VS_SCC_PROJECTNAME
  target property
VS_SCC_PROVIDER
  target property
VS_SHADER_ENTRYPOINT
  source file property, [1]
VS_SHADER_FLAGS
  source file property, [1]
VS_SHADER_MODEL
  source file property, [1]
VS_SHADER_TYPE
  source file property, [1]
VS_WINDOWS_TARGET_PLATFORM_MIN_VERSION
  target property
VS_WINRT_COMPONENT
  target property, [1], [2]
VS_WINRT_EXTENSIONS
  target property
VS_WINRT_REFERENCES
  target property
VS_XAML_TYPE
  source file property

## W

Watcom WMake
  generator
while
  command, [1], [2], [3]
WILL_FAIL
  test property, [1]
WIN32
  variable
WIN32_EXECUTABLE
  target property, [1], [2], [3], [4], [5]
WINCE
  variable
WINDOWS_EXPORT_ALL_SYMBOLS
  target property, [1], [2]
WINDOWS_PHONE
  variable

WINDOWS_STORE
  variable
WORKING_DIRECTORY
  test property, [1], [2]
WRAP_EXCLUDE
  source file property
write_basic_package_version_file
  command, [1], [2]
write_file
  command
WriteBasicConfigVersionFile
  module
WriteCompilerDetectionHeader
  module, [1], [2], [3], [4]

## X

Xcode
  generator, [1], [2], [3], [4], [5], [6], [7], [8], [9]
XCODE_ATTRIBUTE_<an-attribute>
  target property, [1], [2]
XCODE_EXPLICIT_FILE_TYPE
  source file property, [1], [2]
XCODE_LAST_KNOWN_FILE_TYPE
  source file property, [1], [2]
XCODE_VERSION
  variable
XCTEST
  target property, [1]

xctest_add_bundle
  command, [1]
xctest_add_test
  command
XCTest_EXECUTABLE
  variable
XCTest_FOUND
  variable
XCTest_INCLUDE_DIRS
  variable
XCTest_LIBRARIES
  variable

### Navigation

- index
- CMake »
- 3.4.3 Documentation »